mui.plusReady(function() {
	var kg_id = plus.storage.getItem("kindergarten_id");
	sendAjax("kindergarten/home",function(res){
		if(res.code==1){
			//banner
			var banners = res.data.banner;
			for(var i = 0; i < banners.length; i++) {
				$('.swiper-wrapper').append('<div class="swiper-slide" style="height:100%"><img style="height:100%" src="' + banners[i]["imgurl"] + '"></div>')
			}
			var swiper = new Swiper('.swiper-container', {
				pagination: {
					el: '.swiper-pagination',
					type: 'fraction',
				},
				navigation: {
					nextEl: '.swiper-button-next',
					prevEl: '.swiper-button-prev',
				},
			});
			//公告
			if(res.data.announcement){
				$('.Kindergarten_home_new').html(res.data.announcement.title)
				$('.Kindergarten_new_details').html(res.data.announcement.content)
				$('.Kindergarten_home_time').html(res.data.announcement.add_time)
				$('.gonggao').attr('val', res.data.announcement.kindergarten_announcement_id)
				word()
			}
		}
	},"kindergarten_id="+kg_id,false)
	//动态
	loadMore("kindergarten/news",{"pagesize":pagesize,"kindergarten_id":kg_id},".Kindergarten_dynamic_list",function(res,me){
		if(res.code==1){
			if(res.data.list.length>0){
				var notice = template('notice', res.data);
				$('.Kindergarten_dynamic_list ul').append(notice);
				detail();
				if(res.data.list.length<pagesize){
					me.lock();
					me.noData();
				}
			}else{
				me.lock();
				me.noData();
			}
		}
	})

	function word() {
		var words = $('.Kindergarten_new_details').text();
		if(words.length >= 68) {
			$('.Kindergarten_new_details').text($('.Kindergarten_new_details').text().substr(0, 68) + '...')
		}
		mui(document).on('tap', '.gonggao', function() {
			openWindow('notice_details.html', {
				'notice_id': $(this).attr('val'),
				'type': 'kindergarten_announcement'
			})
		})
	}

	function detail() {
		$('.Kindergarten_dynamic_details').each(function() {
			var len = $(this).find('.Kindergarten_dynamic_wodrs').text();
			if(len.length >= 25) {
				$(this).find('.Kindergarten_dynamic_wodrs').text($(this).find('.Kindergarten_dynamic_wodrs').text().substr(0, 25) + '...')
			}
		})
		mui(document).on('tap', '.Kindergarten_dynamic_details', function() {
			openWindow('notice_details.html', {
				'notice_id': $(this).attr('val'),
				'type': 'kindergarten_news'
			})
		})	
	}

	mui(document).on('tap', '.Kindergarten_home_nav ul li', function() {
		var Url = $(this).attr('data-url');
		openWindow(Url)
	})

	mui(document).on('tap', '.Kindergarten_more', function() {
		openWindow('Kindergarten_details.html')
	})
	
})