mui.plusReady(function() {
	var user_id = plus.storage.getItem("user_id");
	var user_period = plus.storage.getItem('user_period');
	var user_pic = plus.storage.getItem("user_pic");
	var self = plus.webview.currentWebview();
	var song = new Array();
	if(user_period==3){
		$('.small_child_audio').show();
		$('.big_child_game').hide();
	}else if(user_period==4){
		$('.small_child_audio').hide();
		$('.big_child_game').show();
		
		$(".big_child_game li").on("tap",function(){
			openWindow($(this).attr("data-url"));
		})
	}
	
	sendAjax("home",function(res){
		if(res.code==1){
			$('.samll_child_head').find('img').attr('src',user_pic);
			$('.samll_child_name').text(res.data.baby.name);
			$('.samll_child_time').text(res.data.baby.year);
			
			if(user_period==3){
				//精选儿歌
				var song = [];
				for (var i=0;i<res.data.music.length;i++) {
					var arr = {
						img : res.data.music[i]['img_url'],
						src : res.data.music[i]['music_url'],
						title : res.data.music[i]['name'],
						music_id:res.data.music[i]['album_music_id']
					};
					song.push(arr);
				}
				if(song.length>0){
					music(song);
				}
			}
			
			//凯爸日记
//			var index_diary_list = template("kbrj",res.data);
//			$(".kbrj").append(index_diary_list);
//			kbrj()
			
			//优学园
			var video_list = template("video_list",res.data);
			$(".index_lore_list ul").append(video_list);
			yxy();
		}
	},'type='+user_period)
	
	var diary_type = 1;
	if(user_period==4) diary_type = 2;
	loadMore("diary",{"type":diary_type,"pagesize":pagesize},".small_details_box",function(res,me){
		if(res.code==1){
			if(res.data.list.length>0){
				$('.small_details_length').text(res.data.count)
				var list = template('list',res.data);
				$('.small_details_box ul').append(list);
				fun();
				if(res.data.list.length<pagesize){
					me.lock();
 					me.noData();
				}
			}else{
				me.lock();
 				me.noData();
			}
		}
	})
	
	function fun(){
		//文章数量
		if($('.small_details_list').length>0){
			$('.small_details_box').show();
			$('.child_nothing').hide();
		}else{
			$('.small_details_box').hide();
			$('.child_nothing').show();
		}
		//图片比列
		var width = $('.small_information_list li').width();
		$('.small_information_list li').height(width);
		
		$('.small_details_list').each(function(index, ele) {
			var len = $(ele).find('.small_information_word').text();
			var more = '<span class="small_information_more">全文</span>'
			if(len.length >= 41) {
				$(ele).find('.small_information_word').text($(ele).find('.small_information_word').text().substr(0, 41) + ' ... ')
				$(ele).find('.small_information_word').append(more);
				//显示全文
				mui(document).off('tap', '.small_information_more').on('tap', '.small_information_more', function() {
					$(this).parent().text(len)
				})
			}
			//图片排版
			var Imglength = $(ele).find('li').length;
			if(Imglength <= 2) {
				$(ele).find('li').css('width', 48 + '%');
				$(ele).find('li').css('margin-right', 4 + '%');
				$(ele).find('li:nth-child(2n)').css('margin-right', 0);
				$(ele).find('li').height($(ele).find('li').width())
			}
		})
		
		//编辑
		mui(document).off('tap', '.small_information_edit').on('tap', '.small_information_edit', function() {
			var arrImg = [];
			$(this).parent().parent().find('.small_information_list li img').each(function() {
				arrImg.push($(this).attr('src'))
			})
			var dy_id = $(this).parents('.small_details_list').attr('data-id');
			mui.openWindow({
				url: 'write_diary.html',
				extras: {
					dy_id:dy_id
				}
			});
		})
		//删除
		mui(document).off('tap', '.small_information_dele').on('tap', '.small_information_dele', function() {
			var item = $(this).parents("li");
			var dy_id = item.find('.small_details_list').attr('data-id');
			plus.nativeUI.confirm("您是否要删除相关内容？", function(e) {
				if(e.index == 1) {
					sendAjax("diary/del",function(res){
						if(res.code==1){
							item.remove();
							$('.small_details_length').text(parseInt($('.small_details_length').text())-1);
							fun()
						}
					},'member_diary_id='+dy_id)
				}
			}, "", ["取消", "确定"]);
		})
	}

	//写日记
	mui(document).on('tap', '.small_child_icon,.school_matche', function() {
		openWindow('write_diary.html')
	})
	//写日记监听
	window.addEventListener('keep', function(event) {
		var row = event.detail;
		var imglist = row.arrImg;
		var data = row.data;
		var html = `<li><div class="small_details_list" data-id="`+data.member_diary_id+`" id="dy_id_`+data.member_diary_id+`">
					<div class="small_details_time mui-pull-left">
						<p class="small_time_day"><span>`+data.day+`</span>日</p>
						<p class="small_time_month">`+data.date+`</p>
						<p class="small_time_week">星期`+data.week+`</p>
					</div>
					<div class="small_details_information mui-pull-right">
						<div class="small_details_identification">
							<div class="identification_icon"></div>
						</div>
						<div class="small_information_list">
							<ul>`;
		for(var img in imglist) {
			html += '<li><img src="' + imglist[img] + '"></li>';
		}
		html += `</ul>
						</div>
						<div class="small_information_word">` + row.diary + `</div>
						<div class="small_information_bottom">
							<span class="small_information_time">` + data.time + `</span>
							<span class="small_information_dele">删除</span>
							<span class="small_information_edit">编辑</span>
						</div>
					</div>
				</div></li>`;
		if(row.dy_id>0){
			$('#dy_id_'+row.dy_id).parent("li").replaceWith(html);
		}else{
			$('.small_details_box ul').eq(0).prepend(html)
			$('.small_details_length').text(parseInt($('.small_details_length').text())+1);
		}
		fun()
	})
	
	window.addEventListener("user_pic",function(event){
		var row = event.detail;
		$('.samll_child_head').find('img').attr('src',row.pic);
	})
	
	/*导航点击*/
	mui(document).on('tap', 'nav li', function() {
		var Url = $(this).attr('data-url');
		openWindow(Url)
	})
	
	window.addEventListener("diary_view",function(event){
		var row = event.detail;
		var num = parseInt($('#diary_id_'+row.diary_id).find(".comment_num").text());
		$('#diary_id_'+row.diary_id).find(".comment_num").text((num+1));
	})
	
	window.addEventListener("diary_zan",function(event){
		var row = event.detail;
		var num = parseInt($('#diary_id_'+row.diary_id).find(".fabulous_num").text());
		$('#diary_id_'+row.diary_id).find(".fabulous_num").text((num+row.num));
	})
	
	function kbrj(){
		mui(document).on('tap','.index_diary_list',function(){
			var diary_id = $(this).attr('data-id');
			openWindow("diary_details.html",{diary_id:diary_id});
		})
	}
	
	function yxy() {
		mui(document).on('tap', '.index_lore_list li', function() {
			var num = Number($(this).find('i').text());
			num = num + 1;
			var video_id = $(this).attr('data-id');
			openWindow('video_detail.html',{
				url: 'Video/Index/detail/member_id/' + plus.storage.getItem('member_id') + '/video_id/' + video_id + '.html'
			});
			$(this).find('i').text(num);
		})
	}
})