mui.plusReady(function() {
	var user_id = plus.storage.getItem('user_id');
	var Width = $('.release_update_img ul li').width();
	$('.release_update_img ul li').height(Width);

	var self = plus.webview.currentWebview();
	var title = self.title;
	var type = self.type;
	$('.mui-title').text(title);

	if(type == 4) {
		$('.community_details_sundry').show()
		$('.community_bottom_main').show();
		$('.release_main_textarea').attr('placeholder', '描述一下你的宝贝...');
		$('.community_topic_main').css('padding-bottom', '12px');
		$('.location_icon').css('margin-right', '10px');
		$('.location_icon').css('background-position-y', '1.7px');
		$('.release_gray_block').css('height', '15px')
	}

	mui(document).on('tap', '.community_bottom div', function() {
		if(parseInt((this).attr('data-classify'))==1){
			$('.community_bottom_money').show();
		}else{
			$('.community_bottom_money').hide();
			$('.community_money_input').val('')
		}
		$(this).addClass('community_bottom_choice').siblings().removeClass('community_bottom_choice');
	})

	mui(document).on('tap', '.release_back', function() {
		var Val = $('release_main_textarea').val();
		if(Val != '') {
			plus.nativeUI.confirm("内容未发布，确定放弃并返回？", function(e) {
				if(e.index == 1) {
					plus.webview.currentWebview().close()
				}
			}, "", ["取消", "确定"]);
		} else {
			plus.webview.currentWebview().close()
		}
	})

	function topicMain() {
		var val = $('.release_main_textarea').val();
		var choice = $('.community_bottom_choice').text();
		var classify = 0;
		if(type==4){
			classify = $('.community_bottom_choice').attr('data-classify');
		}
		var arrImg = [];
		var images = '';
		$('.release_update_img li img').each(function(index) {
			arrImg.push($(this).attr('src'))
			if(index==0){
				images = $(this).attr('save-path')
			}else{
				images += ','+$(this).attr('save-path')
			}
		});
		var province = $('.location_province').text();
		var city = $('.location_city').text();
		var district = $('.location_area').text();
		var price = parseFloat($('.community_money_input').val())
		sendAjax('Topic/add',function(res){
			if(res.status==1){
				var page = plus.webview.getWebviewById('index.html');
				var num = 2;
				if(page != null) {
					mui.fire(page, 'topic', {
						val: val,
						arrImg: arrImg,
						choice: choice,
						province: province,
						city: city,
						Area: Area,
						id:res.id,
						type:type
					})
				}
				openWindow('index.html', {
					num: num
				});
			}else{
				console.log(res.msg)
			}
		},{content:val,pics:images,type:type,classify:classify,province:province,city:city,district:district,user_id:user_id,price:price})
		
	}

	mui(document).on('tap', '.title_button', function() {
		var address = $('.location_choice').css('display');
		var details = $('.release_main_textarea').val();
		if(type == 4) {
			if(details == '') {
				mui.toast('请描述一下你的宝贝~')
			} else if(address != 'none') {
				mui.toast('请选择当前位置~')
			} else {
				topicMain()
			}
		} else {
			if(details == '') {
				mui.toast('请分享育儿那些新鲜事~')
			} else {
				topicMain()
			}
		}

	})

	mui(document).on('tap', '.release_close', function() {
		var Parent = $(this).parent();
		var close = $(this);
		plus.nativeUI.confirm("您确定删除此图片？", function(e) {
			if(e.index == 1) {
				Parent.remove();
				if($('.release_update_img li').length <= 3) {
					$('.release_add_img').parent().show();
				}
			}
		}, "", ["取消", "确定"]);
	})

	mui(document).on('tap', '.topic_details_sundry', function() {
		var type = $(this).attr('data-type')
		mui.openWindow({
			url: 'modify_city.html',
			extras: {
				type: type
			}
		});
	})

	function Monitor(item) {
		$('.location_choice').hide()
		$('.location_province').text(item.province);
		$('.location_city').text(item.city);
		$('.location_area').text(item.Area);
		$('.topic_sundry_location span').css('margin-right', '5px')
	}

	window.addEventListener('community', function(event) {
		var row = event.detail;
		Monitor(row)
	})

	window.addEventListener('details', function(event) {
		var row = event.detail;
		Monitor(row)
	})
	
	mui(document).on("tap",'.release_add_img',function(){
		var Width1 = $('.release_update_img ul li').width();
		UploadImg('Kindergarten/upload',Width1,Width1,function(result,status){
			if($('.release_update_img ul li').length>=3){
				$('.release_add_img').parent('li').hide();
			}		
			$('.release_add_img').parent('li').before('<li><img save-path="'+result.pic.savename+'" src="'+result.pic.path+'" /><span class="release_close"></span></li>');
			var Width1 = $('.release_update_img ul li').width();
			$('.release_update_img ul li').height(Width1);
		});
	})
})