mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var name = self.name;
	var pages = []
	var type = 1
	if(name == 2) {
		type = 4
		pages['page_4'] = pages['page_5'] = pages['page_6'] = 1;
		$('.food_type_4').show().siblings().hide();
		$('.mui-title').text('宝宝辅食')
		var html = `<a class="mui-control-item collection_pitch" data-type = "4">
							<span>婴儿期</span>
						</a>
						<a class="mui-control-item" data-type = "5">
							<span>幼儿期</span>
						</a>
						<a class="mui-control-item" data-type = "6">
							<span>成长期</span>
						</a>
						<p class="collection_pitch_bg"></p>`

		$('#sliderSegmentedControl .mui-scroll').html(html)

		$('.collection_pitch_bg').css({
			'width': '85px',
			'left': '20px',
		});
		$('.food_type_1,.food_type_2,.food_type_3').remove();
		
	} else {
		pages['page_1'] = pages['page_2'] = pages['page_3'] = 1;
		$('.food_type_4,.food_type_5,.food_type_6').remove();
	}
	var deceleration = mui.os.ios?0.003:0.0009;
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration:deceleration
	});
	
	
	$('.mui-slider-group .mui-scroll').each(function(index,pullRefreshEl){
		var typee = $(this).attr('data-type')
		var that = this
		mui(this).pullToRefresh({
			up: {
					auto: true, //可选,默认false.自动上拉加载一次
					callback: function() {
						var self = this;
						//setTimeout(function() {
						sendAjax('mmsp', function(res) {
							if(res.code==1){
								if(res.data.length>0){
									var list = template('list',res);
									$(self.element).find('ul').append(list);
									if(res.data.length<pagesize){
										self.endPullUpToRefresh(true);	
									}else{
										self.endPullUpToRefresh(false);	
									}
									sub_content();
									fun();
									pages['page_' + typee]++;	
								}else{
									self.endPullUpToRefresh(true);
								}
							}
						}, 'page=' + pages['page_' + typee] + '&type=' + typee+'&pagesize='+pagesize)
						//}, 1000);
					}
				}
		})
	})
	

	function sub_content() {
		$('.collection_food li').each(function() {
			var Text = $(this).find('.collection_food_details').text();
			if(Text.length >= 30) {
				$(this).find('.collection_food_details').text($(this).find('.collection_food_details').text().substr(0, 30) + '...');
			}
		})
	}
	
	mui(document).on('tap', '.mui-scroll .mui-control-item', function() {
		var index = $('.mui-scroll .mui-control-item').index(this);
		$(this).addClass('collection_pitch').siblings().removeClass('collection_pitch');
		if(name == 1) {
			$('.collection_pitch_bg').stop(false, true).animate({
				'left': $('.mui-control-item span:eq('+index+')').position().left - 20 + 'px'
			}, 300)
		} else {
			$('.collection_pitch_bg').stop(false, true).animate({
				'left': $('.mui-control-item span:eq('+index+')').position().left - 18 + 'px'
			}, 300)
		}
		type = $(this).attr('data-type');
		$('.food_type_' + type).show().siblings().hide();
	})

	//膳食
	function fun(){
		mui(document).off('tap', '.collection_food ul li').on('tap', '.collection_food ul li', function() {
			var title = $(this).find('.collection_food_right h2').text();
			var details = $(this).find('.collection_food_details').text();
			var people = $(this).find('.collection_food_people').text();
			var fid = $(this).attr('data-id');
			mui.openWindow({
				url: 'food_details.html',
				extras: {
					fid: fid,
					title: title,
					details: details,
					people: people
				}
			});
		})
	}
})
 