$(function() {

	var arr = [{
		num: 5,
		question: '注意小鸡的方向',
		img: 'chicken.png',
		classArr: ['left_chick', 'right_chick', 'left_chick', 'right_chick', 'right_chick'],
		answer: [2, 6, 8],
		mate: 2
	}, {
		num: 5,
		question: '注意小鸡的方向',
		img: 'chicken2.png',
		classArr: ['right_chick', 'left_chick', 'right_chick', 'left_chick', 'right_chick'],
		answer: [3, 9, 2],
		mate: 3
	}, {
		num: 5,
		question: '请问紫色小鸡的个数',
		img: 'purple_chicken.png',
		classArr: ['right_chick', 'right_chick', 'purple_chicken', 'left_chick', 'purple_chicken'],
		answer: [3, 6, 2],
		mate: 2
	}]

	var page = 0;

	function randomNum(event) {
		var html = '';
		for(var i = 0; i < arr[page].num; i++) {
			html += '<div class="' + arr[page].classArr[i] + '" id="chick"></div>';
		}
		$('.chick_main').append(html);
		$('.farm_start_game').hide()

		$('.chick_main div').each(function(index) {
			var obj = $(this);
			var child = obj.get(0);
			var pageHeight = child.clientHeight * index;
			var cls = obj.attr('class');
			var Width = document.body.clientWidth;
			var speed = Math.floor(Math.random() * (10 - 3) + 1) + 3;
			speed = speed * 1000;
			child.style.top = pageHeight + 'px';
			if(cls == 'left_chick' || cls == 'purple_chicken') {
				obj.animate({
					'right': Width + 'px'
				}, speed, function() {
					obj.remove();
					checkHtml();
				})
			} else {
				obj.animate({
					'left': Width + 'px'
				}, speed, function() {
					obj.remove();
					checkHtml();
				})
			}
		});

		/*
		var child = document.getElementsByClassName('chick_main')[0].getElementsByTagName("*");

		for(var i = 0; i < child.length; i++) {
			var pageHeight = child[i].clientHeight * i;
			child[i].style.top = pageHeight + 'px';
			var style = document.getElementById('animation');
			var Width = document.body.clientWidth;
			if(child[i].className == 'left_chick') {
				style.innerHTML += '@keyframes moveleft {0% {transform: translateX(0px);}' +
					'100% {transform: translateX(-' + Width + 'px);}' +
					'}';
				child[i].style.animationDuration = Math.floor(Math.random() * (10 - 3) + 1) + 3 + 's'
			} else {
				style.innerHTML += '@keyframes moveright {0% {transform: translateX(0px);}' +
					'100% {transform: translateX(' + Width + 'px);}' +
					'}';
				child[i].style.animationDuration = Math.floor(Math.random() * (10 - 3) + 1) + 3 + 's'
			}
			//单个动画结束
			child[i].addEventListener("webkitAnimationEnd", removeChild);
			
			function removeChild(){
				console.log('2');
				this.remove();
				if($('.chick_main').html() == '') {
					$('.chick_question').show();
					question(arr[page]);
				}
			}
		}*/
	}

	function checkHtml() {
		if($('.chick_main').html() == '') {
			$('.chick_question').show();
			question(arr[page]);
		}
	}

	function question(event) {
		$('.chick_question_title').text(event.question);
		$('.chick_question_img').css('background-image', 'url(img/' + event.img + ')');

		var order = event.answer.sort(function() {
			return 0.5 - Math.random();
		})

		for(var i = 0; i < order.length; i++) {
			var html = '<div class="chick_question_answer">' + order[i] + '</div>';
			$('.chick_answer_main').append(html);
		}

		$('.chick_question_answer').click(function() {
			if(event.mate == $(this).html()) {
				$(this).addClass('answer_true');
				$(this).siblings().removeClass('answer_false')
				$('.answer_icon').removeClass('answer_false_icon').addClass('answer_true_icon');
				$('.answer_icon').text('')
				$('.chick_answer_main').append('<span class="chick_question_num" id="chick_question_num">50</span>');
				document.getElementById("chick_question_num").addEventListener("webkitAnimationEnd", function() {
					$('.chick_question_num').remove()
					popShow()
					if(arr.length - 1 <= page) {
						$('.farm_begin_game').hide()
						$('.farm_start_game').css('display', 'inline-block');
					}
				}, false);
			} else {
				$(this).addClass('answer_false');
				$(this).siblings().removeClass('answer_true answer_false');
				$('.answer_icon').removeClass('answer_true_icon').addClass('answer_false_icon');
				$('.answer_icon').text('')
				$('.chick_question_num').remove()
			}

		})

	}

	function popShow() {
		$('.game_farm_pop').show();

		var starArr = ['one', 'two', 'three'];
		var starChild = $('.farm_main_star').children();
		var classNum = -1;

		for(var i = 0; i < starChild.length; i++) {
			starChild.eq(i).removeClass('' + 'star_' + starArr[i])
		}

		var classTime = setInterval(function() {
			classNum++;
			var classname = '' + 'star_' + starArr[classNum];
			if(classNum == starChild.length - 1) {
				clearInterval(classTime);
			}
			if(!starChild.eq(classNum).hasClass(classname)) {
				starChild.eq(classNum).addClass(classname)
			}

		}, 500)

		$('.farm_close').click(function() {
			$('.game_farm_pop').hide();
		})
	}

	randomNum(arr[page])

	$('.farm_begin_game').click(function() {
		gameBegin()
	})

	function gameBegin() {
		$('.chick_main').html('');
		$('.chick_question').hide();
		$('.chick_answer_main').empty();
		$('.answer_icon').removeClass('answer_true_icon');
		$('.answer_icon').text('?');
		$('.game_farm_pop').hide();
		page++;
		randomNum(arr[page]);
	}
	
	$('.farm_start_game').click(function() {
		location.reload()
	})

})