var container = $('.mui-content');
var swipe = Swipe(container);
var seeWidth = container.width();
var seeHeight = container.height();
var $old = $('.old');
var time;

function oldWalk() {}

oldWalk.prototype.getValue = function(className) {
	var ele = $('' + className + '');
	return {
		eleTop: ele.position().top,
		eleHeight: ele.height(),
		eleMiddle: ele.width() / 2
	}
}

oldWalk.prototype.oldClassAdd = function() {
	$old.addClass('old_people_walk')
}

//oldWalk.prototype.oldClassRemove = function() {
//	$old.removeClass('old_people_walk')
//}

oldWalk.prototype.walkRun = function(options, timeRun) {
	var start = $.Deferred();

	$old.transition(options, timeRun, 'linear', function() {
		start.resolve()
	})

	return start
}

oldWalk.prototype.startRun = function(time, distX) {
	this.oldClassAdd();

	var playPeople = this.walkRun({
		'left': distX + 'px'
	}, time)

	return playPeople
}

oldWalk.prototype.walkTo = function(time, direction) {
	var directionX = seeWidth * direction;
	return this.startRun(time, directionX)
}

oldWalk.prototype.scrollTo = function(time, direction) {
	var pageX = seeWidth * direction;
	swipe.scrollTo(pageX, time);

	return this.walkStop(time)
}

oldWalk.prototype.doorOpen = function(time) {
	var $door = $('.door_right');
	var defer = $.Deferred();
	if($('.old_people_stop').length > 0){
		$door.transition({
			'transform': 'rotateY(-60deg)'
		}, time, 'linear', function() {
			newOld.girlShow()
			defer.resolve();
		})
	}
	return defer
}

oldWalk.prototype.doorShut = function(time) {
	var $door = $('.door_right');
	var defer = $.Deferred();

	$door.transition({
		'transform': 'rotateY(0)'
	}, time, 'linear', function() {
		defer.resolve();
	})

	return defer
}

oldWalk.prototype.walkStop = function(endtime) {
	var startImg;
	var time = setTimeout(function() {

		var imgArr = [{
			img: 'old_people6',
			width: 70,
			height: 100
		}, {
			img: 'old_people7',
			width: 100,
			height: 75
		}, {
			img: 'old_people8',
			width: 100,
			height: 70
		}];

		var index = 0;

		function changeImg() {
			$old.css({
				'background-image': 'url(img/' + imgArr[index].img + '.png)',
				'width': imgArr[index].width + 'px',
				'height': imgArr[index].height + 'px',
				'top': data.eleTop + data.eleHeight / 2 - $old.height() + 50 + 'px'
			});
			index += 1
		}

		$old.removeClass('old_people_walk');

		var startImg = setInterval(function() {
			changeImg()
			if(index == 3) {
				$old.addClass('old_people_stop')
				clearInterval(startImg)
				newOld.doorOpen()
			}
		}, 0)		
	}, endtime)
	
}

oldWalk.prototype.girlShow = function() {
	var data = this.getValue('.b_background_middle');
	var top = data.eleTop + data.eleHeight / 2 - $('.girl_people').height() - 15;
	var left = data.eleMiddle - $('.girl_people').width() - 30;
	var $girl = $('.girl_people');
	var defer = $.Deferred();
	$girl.fadeIn();
	$girl.css({
		'left': left,
		'top': top,
		'transform': 'scale(0.5,0.5)'
	})

	$girl.transition({
		'left': left - 50 + 'px',
		'transform': 'scale(1,1)'
	}, 1000, 'linear', function() {
		newOld.doorShut();
		newOld.choice()
		defer.resolve();
	})

	return defer
}

oldWalk.prototype.choice = function() {
	var html = '<span class="choice_style"></span>';
	var Switch = false;
	$('.choice_button').append(html);
	$('.choice_pop').fadeIn();
	$('.choice_question_two').hide();

	$('.choice_button div').on('touchstart', function() {
		var num = $(this).attr('data-num');

		$('.choice_style').show();
		var top = $(this).position().top;
		var left = $(this).position().left;

		$('.choice_style').css({
			'top': top - 15 + 'px',
			'left': left - 18 + 'px',
		})

		newOld.Pop(Switch, num)
	})

}

oldWalk.prototype.tel = function() {
	$('.girl_tel').show();
	$('.girl_people').on('touchstart', function() {
		$(this).css('background-image', 'url(img/girl_tel.png)')
		$('.girl_tel').hide()
		newOld.telButton()
	})
}

oldWalk.prototype.telButton = function() {
	$('.tel_pop').fadeIn();
	var arr = ['*', '0', '#'];
	var Switch = false;
	for(var i = 1; i <= 9; i++) {
		$('.tel_pop_num').append('<span>' + i + '</span>')

	}
	for(var i = 0; i < arr.length; i++) {
		$('.tel_pop_num').append('<span>' + arr[i] + '</span>')
	}

	$('.tel_pop_num span').on('touchstart', function() {
		if($('.tel_pop_text').val().length < 3) {
			var html = $(this).text();
			$(this).addClass('tel_select').siblings().removeClass('tel_select');
			$('.tel_pop_text').val($('.tel_pop_text').val() + html)
		}
	})

	$('.tel_pop_close').on('touchstart', function() {
		var value = $('.tel_pop_text').val()
		$('.tel_pop_text').val($('.tel_pop_text').val().substring(0, $('.tel_pop_text').val().length - 1))
	})

	$('.tel_pop_green').on('touchstart', function() {
		var tel = $('.tel_pop_text').val();

		if(tel == '120') {
			newOld.popShow()
		} else {
			newOld.popHide()
		}
	})

}

oldWalk.prototype.car = function() {
	$('.help_car').fadeIn()
	var $car = $('.help_car_main');
	$car.css({
		'top': $car.parent().height() / 2 + $car.height() - 120 + 'px',
		'left': '-' + $car.width() + 'px'
	})
	var defer = $.Deferred();

	$('.help_car_main').transition({
		'transform': 'translateX(' + parseInt($car.width() + 20) + 'px)'
	}, 1500, 'linear', function() {
		defer.resolve();
		$('.old').hide()
		$('.help_car_doctor').fadeIn();

	})

	return defer;
}

oldWalk.prototype.Pop = function(item, index, value) {
	index == 3 ? newOld.popShow() : newOld.popHide()
	item = !item;

	$('.answer_pop').on('touchstart', function() {
		var value = $('.tel_pop_text').val();
		$('.answer_pop').hide();
		$('.choice_style').hide();
		if(item && index == 3) {
			$('.choice_pop').hide();
			if(value == '') {
				newOld.tel()
			}else if(value != '120'){
				return
			} else {
				$('.tel_pop').hide();
				$('.choice_pop').show();
				$('.choice_question').hide();
				$('.choice_question_two').show();
			}
		}
	})

	if($('.choice_question_two').css('display') == 'block' && index == 3) {
		$('.answer_pop').off('touchstart').on('touchstart', function() {
			$('.choice_pop').hide();
			$('.answer_pop').hide();
			$('.girl_people').css('background-image', 'url(img/game_girl.png)')
			newOld.car()
		})
		return false
	}
}

oldWalk.prototype.popShow = function(item) {
	$('.answer_pop').fadeIn();
	$('.answer_game_true').fadeIn();
	$('.answer_game_false').hide();
}

oldWalk.prototype.popHide = function() {
	$('.answer_pop').fadeIn();
	$('.answer_game_true').hide();
	$('.answer_game_false').fadeIn()
}

var newOld = new oldWalk();

var data = newOld.getValue('.a_background_middle');

$old.css({
	'top': data.eleTop + data.eleHeight / 2 - $old.height() - 80 + 'px',
	'left': 0
})

newOld.walkTo(2000, 0.1)
	.then(function() {
		newOld.scrollTo(3500, 1);
	})