$(function() {
	var arr = [{
		wz: ['s', 'm', 'a', 'l', 'l'],
		num: 5
	}, {
		wz: ['b', 'i', 'g'],
		num: 3
	}, {
		wz: ['d', 'o', 'g'],
		num: 3
	}, {
		wz: ['c', 'a', 't'],
		num: 3
	}];

	var page = 0;
	var num = 0;
	var letter = [];

	//标题栏
	function title(event) {
		$('.game_word_brand').text(arr[event].wz)
		$('.game_word_brand').text($('.game_word_brand').text().replace(/,/g, ''))
	}
	//篮子数
	function basketNum(event) {
		for(var i = 0; i < arr[event].num; i++) {
			var html = '<div class="basket"></div>';
			$('.game_word_basket').append(html)
		}
	}

	//正确答案
	function TureLetter(event) {
		//letter已经追加进去数组中已有的单词
		letter = arr[event].wz.slice();
		letter.length = 8;
	}

	//随机生成字母
	function randomLetter() {
		var ranArr = [];

		//随机排列
		letter.sort(function() {
			return 0.5 - Math.random()
		});

		for(var i = 0; i < letter.length; i++) {
			//追加剩下的单词 剩下的单词等于空
			if(typeof letter[i] == 'undefined') {
				letter[i] = randomText();
			}
			ranArr.push(letter[i])
		}

		ranArr.forEach(function(item, index) {
			$('.game_word_block').eq(index).append('<div class="game_word_pit"></div><div class="radish">' + item + '</div>')

		})

		//所有字母
		function randomText() {
			var str = "";
			//大写字母'A'的ASCII是65
			var _base = 65;
			//A~Z的ASCII码就是65 + 0~25
			var _range = 25;
			//随机生成25个字母 0~25
			var _lower = parseInt(Math.random() * _range);
			str = String.fromCharCode(_base + _lower).toLowerCase()
			return str;
		}

	}

	function aggregate() {
		title(page)
		basketNum(page)
		TureLetter(page)
		randomLetter()

		$('.radish').click(function() {
			var htmlIndex = $(this).html();
			$(this).css('background-image', 'url(img/radish.png)')
			if(num < $('.basket').length) {
				for(var i = 0; i < $('.basket').length; i++) {
					if($('.basket').eq(i).html() == '') {
						$(this).hide();
						$('.basket').eq(i).append('<div class="radish_basket">' + htmlIndex + '</div>');
						radishBasket();

						var basketLeft = $('.basket').eq(i).offset().left;
						var radishLeft = $(this).offset().left;
						var basketTop = $('.basket').eq(i).offset().top;
						var radishTop = $(this).offset().top;
						var distance = parseInt(basketTop - radishTop - 65)
						//萝卜是以自己的偏移量 进行偏移 需要篮子的偏移量 - 萝卜自己的偏移量
						$(this).css('transform', 'translate(' + (basketLeft - radishLeft) + 'px, ' + distance + 'px)')
						$(this).css('transitionDuration', '2s');
						num++;
						//终止执行循环 并执行循环后的代码
						break
					}
				}
				pass()
			}
		})

	}

	function radishBasket() {
		$('.radish_basket').click(function() {
			var thisHtml = $(this).html();
			num--;
			$('.radish').css('background-image', 'url(img/radish_half.png)')
			for(var i = 0; i < $('.radish').length; i++) {
				if($('.radish').eq(i).html() == thisHtml) {
					$('.radish').eq(i).show();
					$('.radish').eq(i).css('transform', 'translate(0px, 0px)')
					$(this).remove()
				}
			}
		})
	}

	function pass() {
		return(function() {
			if(num == arr[page].wz.length) {
				for(var i = 0; i < arr[page].wz.length; i++) {
					if($('.radish_basket').eq(i).html() == arr[page].wz[i]) {
						if(i == $('.radish_basket').length - 1) {
							if(page == arr.length - 1) {
								$('.fail_pop_true').hide()
								$('.fail_pop_false').hide();
								$('.fail_pop_pass').show()
							} else {
								$('.fail_pop_true').show()
								$('.fail_pop_false').hide()
							}
						}
					} else {
						$('.fail_pop_false').show()
						$('.fail_pop_true').hide()
					}
				}
			}

		})()
	}

	$('.fail_pop_again').click(function() {
		$('.fail_pop_true').hide()
		page = page * 1 + 1;
		num = 0;
		letter = [];
		$('.game_word_basket').empty();
		$('.game_word_block').empty();
		aggregate()
	})

	$('.fail_pop_newly').click(function() {
		$('.basket').empty()
		$('.fail_pop_false').hide()
		num = 0;
		letter = [];
		$('.game_word_basket').empty();
		$('.game_word_block').empty();
		aggregate()
	})

	$('.fail_pop_pass').click(function() {
		location.reload()
	})

	aggregate()
})