mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var member_record_id = self.member_record_id;
	sendAjax('conceive/record_detail',function(res){
		if(res.code==1){
			var data = res.data;
			$('.times_and_week').text("第"+data.number+"次产检  怀孕"+data.week+"周");
			$('.inspect_details_time').text(data.date);
			$('.inspect_import').text(data.attention);
			$('.inspect_project').text(data.project);
			$('.inspect_notice').text(data.notice);
			if(res.impression!=="" && data.impression!=null){
				$('.inspect_impress').text(data.impression);
			}
			var imgs = data.img_list;
			for (var i=0;i<imgs.length;i++) {
				$('.release_add_img').parent('li').before('<li><img save-path="'+imgs[i]['img']+'" src="'+imgs[i]['oss_img']+'" /><span class="release_close"></span></li>');
			}
			if($('.release_update_img ul li').length<=3){
				$('.release_add_img').parent('li').show();
			}else{
				$('.release_add_img').parent('li').hide();
			}
		}
		var Width = $('.release_update_img ul li').width();
		$('.release_update_img ul li').height(Width);
	},'member_record_id='+member_record_id)

	mui(document).on('tap', '.release_close', function() {
		var Parent = $(this).parent();
		plus.nativeUI.confirm("您确定删除此图片？", function(e) {
			if(e.index == 1) {
				Parent.remove();
				if($('.release_update_img ul li').length<=3){
					$('.release_add_img').parent('li').show();
				}
			}
		}, "", ["取消", "确定"]);
	})

	mui(document).on('tap', '.reply_back', function() {
		plus.nativeUI.confirm("您是否要放弃编辑相关内容？", function(e) {
			if(e.index == 1) {
				plus.webview.currentWebview().close()
			}
		}, "", ["取消", "确定"]);
	})
	
	mui(document).on("tap",'.release_add_img',function(){
		var Width1 = $('.release_update_img ul li').width();
		UploadImg(Width1,Width1,function(result,status){
			$('.release_add_img').parent('li').before('<li><img save-path="'+result.pic.savename+'" src="'+result.pic.path+'" /><span class="release_close"></span></li>');
			if($('.release_update_img ul li').length>3){
				$('.release_add_img').parent('li').hide();
			}
			var Width1 = $('.release_update_img ul li').width();
			$('.release_update_img ul li').height(Width1);
		});
	})
	mui(document).on("tap",'.title_button',function(){
		var impress = $('.inspect_impress').val();
		var imgStr = "";
		$('.release_update_img li img').each(function(index) {
			imgStr += "&img[]="+$(this).attr('save-path');
		})
		if(impress=="" && imgStr==""){
			plus.webview.currentWebview().close();
		}else{
			sendAjax('conceive/record_save',function(res){
				if(res.code==1){
					mui.toast('上传成功');
					plus.webview.currentWebview().close();
				}else{
					mui.toast('上传失败');
				}
			},'member_record_id='+member_record_id+'&impression='+impress+imgStr)
		}
	})
})