mui.plusReady(function() {
	sendAjax('bbxt', function(res) {
		if(res.code == 1) {
			//banner
			var banners = template('banners', res.data);
			$('.swiper-wrapper').html(banners);
			var mySwiper = new Swiper('.swiper-container', {
				direction: 'horizontal',
				loop: true,
			})
			//分类
			var album_cates = template('album_cates', res.data);
			$('.listen_index_nav ul').html(album_cates);
			album_cate();
			//今日精选
			var recommends = template('recommends', res.data);
			$('.listen_index_choice').append(recommends);
			recommend();
			//热门推荐
			var hots = template('hots', res.data);
			$('.listen_list_hot ul').html(hots);
			hot();
		}
	}, "type=bbxt", true)

	function album_cate() {
		mui(document).on('tap', '.listen_index_nav ul li', function() {
			var Url = $(this).attr('data-url');
			var title = $(this).find('p:last-child').text();
			var cate_id = $(this).attr('data-id');
			openWindow(Url, {
				cate_id: cate_id,
				title: title
			})
		})
	}

	function recommend() {
		var Width = $('.listen_today_left').width();
		$('.listen_today_left').height(Width);
		mui(document).on('tap', '.listen_today_list', function() {
			var song = $(this).find('.listen_today_right h2').text();
			var img = $(this).find('.listen_today_left img').attr('src');
			var type = $(this).attr('data-type');
			var alid = $(this).attr('data-id');
			openWindow('listen_details.html', {
				alid: alid,
				song: song,
				type: type,
				img: img
			})
		})
	}

	function hot() {
		mui(document).on('tap', '.listen_list_hot ul li', function() {
			var title = $(this).find('.listen_list_words').text();
			var hotImg = $(this).find('.listen_list_img img').attr('src')
			var alid = $(this).attr('data-id');
			mui.openWindow({
				url: 'listen_details.html',
				extras: {
					alid: alid,
					title: title,
					hotImg: hotImg
				}
			});
		})
	}
})