// 重写后退
var first = null;
mui.back = function() {
	if(!first) {
		first = new Date().getTime();
		plus.nativeUI.toast('再按一次退出应用');
		setTimeout(function() {
			first = null;
		}, 1000);
	} else {
		if(new Date().getTime() - first < 1000) {
			plus.runtime.quit();
		}
	}
};

mui.plusReady(function() {
	var user_id = plus.storage.getItem('user_id');
	if(user_id != null) openWindow('index.html');

	mui(document).on('tap', '.register_click', function() {
		openWindow('register.html')
	})

	mui(document).on('tap', '.password_click', function() {
		openWindow('password.html')
	})

	$('.login_user_input,.login_password_input').on('change', function() {
		var tel = $('.login_user_input').val();
		var pass = $('.login_password_input').val();
		if(tel != '' && pass != '') {
			$('.login_submit').addClass('login_submit_color');
		} else {
			$('.login_submit').removeClass('login_submit_color');
		}
	});

	mui(document).on('tap', '.login_submit_color', function() {
		var tel = $('.login_user_input').val();
		var password = $(".login_password_input").val()
		if(tel.length != 11) {
			mui.toast('请输入正确手机号格式')
		} else if(password.length < 6 || password.length > 12) {
			mui.toast('请输入6-12的密码')
		} else {
			sendAjax("member/login", function(res) {
				if(res.code == 1) {
					plus.storage.setItem('login_type', 'tel');
					setItem(res);
				} else {
					mui.toast(res.msg);
				}
			}, "username=" + tel + "&password=" + password, true)
		}
	});

	mui(document).on("tap", '.other_way_main', function() {
		plus.oauth.getServices(function(services) {
			auths = services;
			var s;
			for(var i = 0; i < auths.length; i++){
				if(auths[i].id == 'weixin') {
					s = auths[i];
					break;
				}
			}
			var auth = s;
			if(auth) {
				var w = null;
				if(plus.os.name == "Android") {
					w = plus.nativeUI.showWaiting();
				}
				document.addEventListener("pause", function() {
					setTimeout(function() {
						w && w.close();
						w = null;
					}, 2000);
				}, false);
				auth.login(function() {
					w && w.close();
					w = null;
					userinfo(auth);
				}, function(e) {
					w && w.close();
					w = null;
					mui.toast("登录认证失败：");
					mui.toast("[" + e.code + "]：" + e.message);
					//plus.nativeUI.alert("详情错误信息请参考授权登录(OAuth)规范文档：http://www.html5plus.org/#specification#/specification/OAuth.html", null, "登录失败[" + e.code + "]：" + e.message);
				});
			} else {
				mui.toast("无效的登录认证通道！");
				//plus.nativeUI.alert("无效的登录认证通道！", null, "登录");
			}

		}, function(e) {
			//console.log("获取登录失败：" + e.message + " - " + e.code);
			mui.toast('登录认证失败');
		});
	})
	mui(document).on('tap', '.tuichu', function() {
		plus.oauth.getServices(function(services) {
			auths = services;
			for(var i in auths) {
				if(auths[i].id == "weixin") {
					logout(auths[i]);
					break;
				}
			}
		})
	})

	function logout(auth) {
		auth.logout(function() {
			//mui.toast("注销\""+auth.description+"\"成功");
		}, function(e) {
			//mui.toast("注销\""+auth.description+"\"失败："+e.message);
		});
	}

	function userinfo(a) {
		a.getUserInfo(function() {
			
			var nickname = a.userInfo.nickname;
			var openid = a.userInfo.openid;
			var headimgurl = a.userInfo.headimgurl;
			logout(a);
			//plus.nativeUI.alert("欢迎“" + nickname + "”登录！", function() {
				sendAjax('member/weixinLogin', function(res){
					if(res.code == 1) {
						if(res.data.weixin == 1) {
							plus.storage.setItem('login_type', 'weixin');
							setItem(res);
						} else {
							openWindow('binding_tel.html', {
								'open_id': openid,
								'user_wxnike': nickname,
								'headimgurl': headimgurl
							})
						}
					} else {
						console.log(res.msg);
					}
				}, 'openid=' + openid, false)
			//});

		}, function(e) {
			mui.toast("获取用户信息失败");
			//plus.nativeUI.alert("获取用户信息失败！", null, "登录");
		});
	}

	function setItem(res) {
		plus.storage.setItem("user_id", res.data.member.member_id);
		plus.storage.setItem('username', res.data.member.username);
		plus.storage.setItem('user_nikename', res.data.member.nickname);
		plus.storage.setItem('user_pic', res.data.member.headimg_url);
		plus.storage.setItem('kindergarten_id', res.data.member.kindergarten_id);
		plus.storage.setItem('user_period', res.data.member.status);
		plus.storage.setItem('member_id', res.data.token.member_id);
		plus.storage.setItem('token', res.data.token.token);
		if(res.data.member.weixin!=undefined&&res.data.member.weixin!=null&&res.data.member.weixin!=""){
			plus.storage.setItem('weixin', JSON.stringify(res.data.member.weixin));
		}
		getLocation(null);
		if(res.data.member.status > 0) {
			openWindow("index.html");
		} else {
			openWindow("state.html");
		}
	}
})