function Swipe(container) {
	var ele = container.find(":first");

	var swipe = {};

	var slides = ele.find("li");

	var width = container.width();
	var height = container.height();

	ele.css({
		width: (slides.length * width) + 'px',
		height: height + 'px'
	})

	$.each(slides, function(index) {
		var silde = slides.eq(index);
		silde.css({
			width: width + 'px',
			height: height + 'px'
		})
	})

	//移动
	swipe.scrollTo = function(x, speed) {
		var defer = $.Deferred();

		ele.css({
			'transition-timing-function': 'linear',
			'transition-duration': speed + 'ms',
			'transform': 'translate3d(-' + x + 'px,0px,0px)'
		})
		
		return defer
	}

	return swipe;
}