mui.plusReady(function() {

	//省略弹窗
	mui(document).on('tap', '.topic_more', function() {
		$('.pop').fadeIn(120)
	})

	mui(document).on('tap', '.pop_cancel', function() {
		$('.pop').fadeOut(120);
	})

	//分享
	mui(document).on('tap', '.pop_share', function() {
		$('.share').fadeIn(120);
		$('.pop').hide();
	})

	mui(document).on('tap', '.pop_cancel', function() {
		$('.share').fadeOut(120);
	})

	//收藏
	function Collection() {
		var Icon = $('.activity_list_collection').find('span').attr('class');
		var Text = $('.activity_list_collection').find('i').text();
		if(Text == '已收藏') {
			$('.activity_list_collection').find('span').removeClass('comment_collection_icon');
			$('.activity_list_collection').find('i').text('收藏');
			mui.toast('您已取消收藏');
			$('.pop_collection').text('收藏')
		} else {
			$('.activity_list_collection').find('span').addClass('comment_collection_icon');
			$('.activity_list_collection').find('i').text('已收藏')
			mui.toast('收藏成功');
			$('.pop_collection').text('取消收藏')
		}
	}
	mui(document).on('tap', '.activity_list_collection', function() {
		Collection()
	})

	mui(document).on('tap', '.pop_collection', function() {
		Collection()
	})

	//评论
	mui(document).on('tap', '.activity_list_comment', function() {
		openWindow('write.html')
	})

	//联系
	mui(document).on('tap', '.activity_list_tel', function() {
		mui.toast('这是你自己啊~')
	})

	//立即报名
	mui(document).on('tap', '.activity_details_button', function() {
		mui.toast('自己创建的活动，已经加入啦~')
	})

	//底部切换
	mui(document).on('tap', '.activity_tab_head ul li', function() {
		var Width = $(this).width();
		var Index = $('.activity_tab_head ul li').index(this);
		var indexMain = $(this).index()
		$(this).addClass('activity_tab_on').siblings().removeClass('activity_tab_on');
		$('.activity_strip').stop(false, true).animate({
			'left': (Index * Width) + 38 + 'px'
		}, 300);
		$('.topic_comment_list').eq(indexMain).show().siblings('.topic_comment_list').hide();
	})

	//评论区冒泡点击
	var tag1 = document.getElementsByClassName('comment_people_name');
	var tag2 = $('.activity_comment_list .topic_list_img')
	var tag3 = document.getElementsByClassName('passive_people_name');
	var tag4 = document.getElementsByClassName('topic_list_words');
	var tag5 = document.getElementsByClassName('comment_people_more');

	function taglist(ele1, ele2, ele3, ele4, ele5) {
		for(var i = 0; i < ele1.length; i++) {
			ele1[i].addEventListener('tap', function(e) {
				e.stopPropagation();
				openWindow('other_userwebview_user.html');
			});
		}
		for(var i = 0; i < ele2.length; i++) {
			ele2[i].addEventListener('tap', function(e) {
				e.stopPropagation();
				openWindow('other_userwebview_user.html');
			});
		}
		for(var i = 0; i < ele3.length; i++) {
			ele3[i].addEventListener('tap', function(e) {
				e.stopPropagation();
				openWindow('other_userwebview_user.html');
			});
		}
		for(var i = 0; i < ele4.length; i++) {
			ele4[i].addEventListener('tap', function(e) {
				e.stopPropagation();
				$('.comment').fadeIn(120);
			});
		}
		for(var i = 0; i < ele5.length; i++) {
			ele5[i].addEventListener('tap', function(e) {
				e.stopPropagation();
				openWindow('check_comment.html');
			});
		}
	}
	taglist(tag1, tag2, tag3, tag4, tag5)

	//回复弹窗
	mui(document).on('tap', '.comment_click', function() {
		openWindow('reply.html');
		$('.comment').hide()
	})

	mui(document).on('tap', '.pop_cancel', function() {
		$('.comment').fadeOut(120)
	})

	//评论查看更多评论
	$('.comment_block_details').each(function() {
		var htmlMore = '<div class="comment_people_more">查看<span class="comment_more_strip"></span>条评论</div>';
		var commentlen = $(this).find('.comment_strip_message');
		if(commentlen.length > 2) {
			for(var i = 2; i < commentlen.length; i++) {
				$(commentlen[i]).hide();
			}
			$(this).append(htmlMore);
			$('.comment_more_strip').text($(this).find('.comment_strip_message').length - 2)
		} else {
			$(this).find('.comment_people_more').remove()
		}
	})

	//底部查看更多评论
	function commentMore() {
		var lenComment = $('.activity_comment_list');
		var html = '<div class="topic_comment_more">查看更多评论<span class="comment_more_icon"></span></div>';
		if(lenComment.length > 3) {
			for(var i = 3; i < lenComment.length; i++) {
				$(lenComment[i]).hide();
			}
			$('.topic_comment_show').append(html);
		} else {
			$('.topic_comment_show').remove('.topic_comment_more');
		}
	}
	commentMore()

	mui(document).on('tap', '.topic_comment_more', function() {
		openWindow('comment_more.html')
	})

	//评论数量
	function commentNum() {
		var lenMain = $('.activity_comment_list');
		$('.activity_comment_num').text(lenMain.length);
	}
	commentNum()

	//回复评论
	mui(document).on('tap', '.activity_comment_list', function() {
		openWindow('reply.html');
	})

	//删除
	mui(document).on('tap', '.pop_close', function() {
		$('.pop').hide()
		plus.nativeUI.confirm("您是否确定删除此次活动？", function(e) {
			if(e.index == 1) {
				plus.webview.currentWebview().close()
			}
		}, "", ["取消", "确定"]);

	})

	//头像赋值
	var self = plus.webview.currentWebview();
	var name = self.name;
	var img = self.img;
	var time = self.time;
	$('.topic_details_main .topic_list_name').text(name);
	$('.topic_details_main .topic_list_img img').attr('src', img);
	$('.topic_details_main .topic_list_time').text(time);
})