(function($, doc) {
	$.init();
	$.ready(function() {
		var _getParam = function(obj, param) {
			return obj[param] || '';
		};
		var arr = [];
		for(var i = 20; i <= 45; i++) {
			arr.push(i + '天')
		}
		var userPicker = new $.PopPicker();
		userPicker.setData(arr);
		var showUserPickerButton = doc.getElementById('showUserPicker');
		var userResult = doc.getElementById('userResult');
		showUserPickerButton.addEventListener('tap', function(event) {
			userPicker.show(function(items) {
				showUserPickerButton.value = JSON.stringify(items[0]).replace('"', '').replace('"', '');
			});
		}, false);
	});
	var result = $('#result')[0];
	result.addEventListener('tap', function() {
		var _self = this;
		if(_self.picker) {
			_self.picker.show(function(rs) {
				result.value = rs.text;
				_self.picker.dispose();
				_self.picker = null;
			});
		} else {
			var optionsJson = this.getAttribute('data-options') || '{}';
			var options = JSON.parse(optionsJson);

			options.beginYear = getTime().getFullYear();
			options.beginMonth = getTime().getMonth();
			options.beginDay = getTime().getDate();

			options.endYear = new Date().getFullYear();
			options.endMonth = new Date().getMonth() + 1;
			options.endDay = new Date().getDate();
			var id = this.getAttribute('id');
			_self.picker = new $.DtPicker(options);
			_self.picker.show(function(rs) {
				result.value = rs.text;
				_self.picker.dispose();
				_self.picker = null;
			});
		}

	}, false);

	function getTime() {
		var newDate = new Date()
		var year = newDate.getFullYear();
		var month = newDate.getMonth() + 1;
		var Day = newDate.getDate();
		return new Date(year, month, Day - 280);
	}
})(mui, document);