mui.plusReady(function() {
	var user_id=plus.storage.getItem("user_id")
	
	var page = 1;
	mui.init({
	  swipeBack : true,
	  pullRefresh : {
	    container:'.release_list_main',//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
	    up : {
	      height:50,//可选.默认50.触发上拉加载拖动距离
	      auto:true,//可选,默认false.自动上拉加载一次
	      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
	      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
	      callback :function(){
	      	var obj = this;
	      	sendAjax('interaction/me',function(res){
	      		if(res.code==1){
	      			if(res.data.length>0){
	      				var list = template('home',res)
			      		if(page > 1){
							$('.release_list_main').append(list);
						}else{
							$('.release_list_main').html(list);
						}
						if(res.data.length<pagesize){
							obj.endPullupToRefresh(true);
						}else{
							obj.endPullupToRefresh(false);
						}
						leng();
						len()
						fun();
						page++;
	      			}else{
	      				obj.endPullupToRefresh(true);
	      			}
	      		}
	      	},'page='+page+'&pagesize='+pagesize)
	      } //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
	    }
	  }
	})
	
	function fun(){
		var share = $('.topic_share');
		var Comment = $('.topic_comment');
		var head = $('.topic_list_img');
		taglist(share, Comment, head)
		
		mui(document).on('tap', '.topic_main_list', function() {
			openWindow('interaction_details.html',{
				user_id:$(this).attr("user_id"),
				circle_id:$(this).attr("val")
			})
		})
		
		//赞
		mui(document).off('tap','.topic_praise').on('tap', '.topic_praise', function(e) {

			e.stopPropagation();
			var that = $(this);
			var interaction_id = $(that).attr('val');
			var praiseClass = $(that).find('.praise_icon').attr('class');
			var praiseNum = parseInt($(that).find('.praise_num').text());
			var helped = false;
			if(praiseClass.indexOf('praise_choice_icon') > -1) {
				helped = true
			} else {
				helped = false
			}
			help(interaction_id, 3, function() {
				if(helped) {
					$(that).find('.praise_icon').removeClass('praise_choice_icon');
					if(praiseNum - 1 == 0) {
						$(that).find('.praise_num').text('赞')
					} else {
						$(that).find('.praise_num').text((praiseNum - 1))
					}
				} else {
					$(that).find('.praise_icon').addClass('praise_choice_icon');

					if($(that).find('.praise_num').text() == "赞") {

						$(that).find('.praise_num').text(1)
					} else {
						$(that).find('.praise_num').text((praiseNum + 1))
					}
				}
			})
		})
	}
	mui(document).on('tap', '.title_button', function() {
		openWindow('release.html')
	})
	function leng(){
		var len = $('.topic_main_list').length;
		if(len <= 0) {
			$('.topic_nothing').show();
			$('.topic_main').hide();
		} else {
			$('.topic_nothing').hide();
			$('.topic_main').show();
		}
	}
	

	function taglist(ele1, ele2, ele4) {
		for(var i = 0; i < ele1.length; i++) {
			$(ele1[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				$('.share').fadeIn(100)
			});
		}
		for(var i = 0; i < ele2.length; i++) {
			$(ele2[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				if($(this).find(".user_comment_num").html() == "评论") {
					openWindow('write.html', {
						circle_id: $(this).attr('val'),
						type: "interaction"
					})
				} else {
					openWindow('comment_more.html', {
						circle_id: $(this).attr('val'),
						type: "interaction"
					})
				}

			});
		}
//		for(var i = 0; i < ele4.length; i++) {
//			$(ele4[i]).off('tap').on('tap', function(e) {
//				e.stopPropagation();
//				openWindow('my_userwebview.html', {
//					uid: $(this).attr("user_id")
//				})
//			});
//		}
	}
	

	mui(document).on('tap', '.share_close', function() {
		$('.share').fadeOut(100)
	})

	function len() {
		$('.topic_main_list').each(function() {
			var len = $(this).find('.topic_details_words').text();
			if(len.length >= 58) {
				$(this).find('.topic_details_words').text($(this).find('.topic_details_words').text().substr(0, 58) + '...')
			}
		})
	}

	window.addEventListener('commen', function(event) {

		var row = event.detail;
		if($('#circle_id_' + row.Interaction_id).find(".user_comment_num").html() == "评论") {
			$('#circle_id_' + row.Interaction_id).find(".user_comment_num").html(1)
		} else {
			$('#circle_id_' + row.Interaction_id).find(".user_comment_num").html(parseInt($('#circle_id_' + row.Interaction_id).find(".user_comment_num").html()) + 1)
		}
	})
	window.addEventListener('help', function(event) {
		var info = event.detail;
		if(info.helped) {
			$('#circle_id_' + info.interaction_id).find('.topic_praise').find('.praise_icon').addClass('praise_choice_icon')
			$('#circle_id_' + info.interaction_id).find('.topic_praise').find('.praise_num').text(info.num)
		} else {
			$('#circle_id_' + info.interaction_id).find('.topic_praise').find('.praise_icon').removeClass('praise_choice_icon')
			if(info.num == 0) {
				info.num = '赞'
			}
			$('#circle_id_' + info.interaction_id).find('.topic_praise').find('.praise_num').text(info.num)
		}
	})
	window.addEventListener('circle_delete', function(event) {
		var row = event.detail;
		$("#circle_id_" + row.circle_id).remove();
	})
})