mui.plusReady(function() {
	var user_id = plus.storage.getItem("user_id");
	var user_period = plus.storage.getItem('user_period');
	
	if(user_period<3){
		$('textarea').attr('placeholder','记录孕期的每一次惊喜...')
	}else{
		$('textarea').attr('placeholder','记录宝宝的每一天...')
	}
	//取消
	mui(document).on('tap', '.reply_back', function() {
		var diary = $('.reply_textarea_main').val();
		if(diary == '') {
			plus.webview.currentWebview().close()
		} else {
			plus.nativeUI.confirm("您是否要放弃编辑相关内容？", function(e) {
				if(e.index == 1) {
					plus.webview.currentWebview().close()
				}
			}, "", ["取消", "确定"]);
		}
	})

	//编辑
	var self = plus.webview.currentWebview();
	if(self.dy_id>0){
		sendAjax('diary/detail',function(res){
			if(res.code==1){
				$('.reply_textarea_main').val(res.data.content);
				$('.release_update_img ul').empty();
				var Img = res.data.img;
				for (var i = 0;i<Img.length;i++) {
					var html = '<li><img save-path="'+Img[i]['imgurl']+'" src="' + Img[i]['oss_imgurl'] + '"><span class="release_close"></span></li>';
					$('.release_update_img ul').append(html);
				}
				if($('.release_update_img li').length < 5) {
					var add = '<li><div class="release_add_img"></div></li>'
					$('.release_update_img ul').append(add);
				}
				var Width1 = $('.release_update_img ul li').width();
				$('.release_update_img ul li').height(Width1);
			}
		},'member_diary_id='+self.dy_id)
	}
	//保存
	var arrImg = [];
	var send = true;
	mui(document).on('tap', '.title_button', function() {
		var diary = $('.reply_textarea_main').val();
		if(diary == '') {
			mui.toast('请记录孕期的小惊喜~')
		} else {
			if(!send){
				return;
			}
			send = false;
			var arrImg = [];
			var imgStr = "";
			$('.release_update_img li img').each(function(index) {
				arrImg.push($(this).attr('src'));
				if(index==0){
					imgStr = $(this).attr('save-path');
				}else{
					imgStr += ","+$(this).attr('save-path');
				}
			})
			if(self.dy_id>0){
				var pic = new Array();
				$('.release_update_img ul li img').each(function(){
					pic.push('imgurl[]=' + $(this).attr('save-path'));
				});
				var f = pic.join('&');
				var u = "content="+diary+"&member_diary_id="+self.dy_id;
				if(f != '') u = u + '&' + f;
				sendAjax('diary/edit',function(res){
					send = true;
					if(res.code==1){
						if(user_period==2){
							var page = plus.webview.getWebviewById('diary.html');
						}else{
							var page = plus.webview.getWebviewById('child_webview.html');
						}
						if(page != null) {
							mui.fire(page, 'keep', {
								diary: diary,
								arrImg: arrImg,
								data:res.data,
								dy_id:self.dy_id
							})
						}
						plus.webview.currentWebview().close();
					}else{
						mui.toast('上传失败')
					}
				},u)
			}else{
				var dy_type = 1;
				if(user_period==3){
					dy_type = 1;
				}else if(user_period==4){
					dy_type = 2;
				}else if(user_period==2){
					dy_type = 3;
				}
				var pic = new Array();
				$('.release_update_img ul li img').each(function(){
					pic.push('imgurl[]=' + $(this).attr('save-path'));
				});
				var f = pic.join('&');
				var u = "content="+diary+"&type="+dy_type;
				if(f != '') u = u + '&' + f;
				sendAjax('diary/edit',function(res){
					send = true;
					if(res.code==1){
						if(user_period==2){
							var page = plus.webview.getWebviewById('diary.html');
						}else{
							var page = plus.webview.getWebviewById('child_webview.html');
						}
						if(page != null) {
							mui.fire(page, 'keep', {
								diary: diary,
								arrImg: arrImg,
								data:res.data,
								dy_id:0
							})
						}
						plus.webview.currentWebview().close();
					}else{
						mui.toast('上传失败')
					}
				},u)
			}
		}
	})

	//图片尺寸
	var Width = $('.release_update_img ul li').width();
	$('.release_update_img ul li').height(Width);

	//删除图片
	mui(document).on('tap', '.release_close', function() {
		var Parent = $(this).parent();
		var close = $(this);
		plus.nativeUI.confirm("您确定删除此图片？", function(e) {
			if(e.index == 1) {
				Parent.remove();
				if($('.release_update_img li').length < 5 &&$('.release_add_img').length==0) {
					var add = '<li><div class="release_add_img"></div></li>'
					$('.release_update_img ul').append(add);
				}
				var Width1 = $('.release_update_img ul li').width();
				$('.release_update_img ul li').height(Width1);
			}
		}, "", ["取消", "确定"]);
	})
	
	mui(document).on("tap",'.release_add_img',function(){
		var Width1 = $('.release_update_img ul li').width();
		UploadImg(Width1,Width1,function(result,status){
			$('.release_add_img').parent('li').before('<li><img save-path="'+result.pic.savename+'" src="'+result.pic.path+'" /><span class="release_close"></span></li>');
			var Width1 = $('.release_update_img ul li').width();
			$('.release_update_img ul li').height(Width1);
			if($('.release_update_img ul li').length>=6){
				$('.release_add_img').parent('li').remove();
			}
		});
	})
})