mui.plusReady(function() {
	var user_id = plus.storage.getItem('user_id');
	
	var currentPage = plus.webview.currentWebview();
	var uid = currentPage.uid;
	var active_id = currentPage.active_id;
	var collected = false;
	var joined = false;
	var followed = false;
	var tel = '';
	var overtime = false;
	var full = false;
	var commen_id = 0;
	var reported = false;

	if(uid==user_id){
		$('.mine').show();
		$('.other').hide();
	}else{
		$('.mine').hide();
		$('.other').show();
	}
	
	sendAjax('Active/detail',function(res){
		if(res.status==1){
			$('.topic_list_name').html(res.user.user_nikename);
			var header = "img/img1.jpg";
			if(res.user.user_pic){
				header = res.user.user_pic;
			}
			$('.avatar img').attr('src',header);
			$('.avatar').bind('tap',function(){
				openWindow('my_userwebview.html',{uid:res.user.user_id})
			})
			$('.topic_list_time').html(res.list.ca_time);
			if(res.list.pics.length>0){
				var picArr = res.list.pics
				var picHtml = '';
				$.each(picArr, function() {
					if(this!="")
					picHtml += '<li style="height:100px"><img height="100%" src="'+this+'"></li>';
				});
				$('.topic_photo_list ul').html(picHtml)
			}else{
				$('.topic_photo_list ul').html('')
			}
			$('.activity_titile .mui-pull-left').html(res.list.cd_title)
			$('.activity_titile .mui-pull-right .activity_titile_num').html(res.list.ca_join_num)
			$('.activity_details_words').html(res.list.ca_content)
			$('.activity_details_time').html(res.list.ca_out_time)
			$('.activity_details_address').html(res.list.ca_active_address)
			$('.activity_details_start').html(res.list.cd_address)
			$('.activity_details_people').html(res.list.ca_people)
			tel = res.list.ca_tel
			var tagsHtml = "";
			if(res.list.ca_have_car){
				tagsHtml += '<span class="activity_details_tags">'+res.list.ca_have_car+'</span>';
			}
			if(res.list.ca_money){
				tagsHtml += '<span class="activity_details_tags">'+res.list.ca_money+'</span>';
			}
			$('.activity_tags_list').html(tagsHtml)
			$('.activity_comment_num').html(res.com)
			if(res.comcount>0){
				$('.topic_comment_show').show()
				$('.topic_comment_nothing').hide()
	      		var comment_list = template('comment_list',res)
				$('.comment_list').append(comment_list)
				if(res.comcount>3){
					$('.comment_list').append('<div class="topic_comment_more">查看更多评论<span class="comment_more_icon"></span></div>');
				}
			}else{
				$('.topic_comment_show').hide()
				$('.topic_comment_nothing').show()
			}
			
			
			var join_list = template('join_list',res)
			$('.topic_comment_list:last-child').html(join_list)
			bind_join_user()
			
			
			if(res.collected){
				collected = true
				$('.activity_list_collection').find('span').addClass('comment_collection_icon')
				$('.activity_list_collection').find('i').text('已收藏')
				$('.pop_collection').text('取消收藏')
			}
			
			if(res.overtime){
				overtime = true
				$('.activity_details_button').addClass('activity_details_sign')
				$('.activity_details_button').text('报名结束')
			}else if(!res.joined&&res.full){
				full = true
				$('.activity_details_button').addClass('activity_details_sign')
				$('.activity_details_button').text('名额已满')
			}else if(res.joined){
				joined = true
				$('.activity_details_button').addClass('activity_details_sign')
				$('.activity_details_button').text('已报名')
			}
			
			
			if(res.follewed){
				followed = true
				$('.topic_follow').addClass('topic_choice_follow');
				$('.topic_follow').text('已关注');
				$('.pop_follow').text('取消关注')
			}
			
			reported = res.reported
			
			var tag1 = document.getElementsByClassName('comment_people_name'); //评论回复人昵称
			var tag2 = $('.activity_comment_list .topic_list_img')//评论人头像
			var tag3 = document.getElementsByClassName('passive_people_name');//评论被回复人昵称
			var tag4 = document.getElementsByClassName('topic_list_words');//评论内容
			var tag5 = document.getElementsByClassName('comment_people_more');//更多回复
			var tag6 = document.getElementsByClassName('activity_comment_list');//整条评论
			var tag7 = document.getElementsByClassName('comment_strip_message');//整条回复
			var tag8 = document.getElementsByClassName('topic_comment_more')//更多评论
			taglist(tag2,tag4,tag6,tag8)//评论事件
			tagreplylist(tag1,tag3,tag5,tag7)//回复事件
		}
	},'ca_id='+active_id+"&user_id="+user_id+"&ct_type=2")
	//底部切换
	mui(document).on('tap', '.activity_tab_head ul li', function() {
		var Width = $(this).width();
		var Index = $('.activity_tab_head ul li').index(this);
		var indexMain = $(this).index()
		$(this).addClass('activity_tab_on').siblings().removeClass('activity_tab_on');
		$('.activity_strip').stop(false, true).animate({
			'left': (Index * Width) + 38 + 'px'
		}, 300);
		if(Index==0){
			$('.topic_comment_nothing').text('快来发表你的评论吧~')
		}else{
			$('.topic_comment_nothing').text('暂时无人报名~')
		}
		if($('.topic_comment_list').eq(indexMain).find('.comment_list_details').length>0){
			$('.topic_comment_nothing').hide()
		}else{
			$('.topic_comment_nothing').show()
		}
		$('.topic_comment_list').eq(indexMain).show().siblings('.topic_comment_list').hide();
	})
	//收藏
	function Collection() {
		
		collect(2,user_id,active_id,collected,function(){
			if(collected){
				collected = false
				$('.activity_list_collection').find('span').removeClass('comment_collection_icon');
				$('.activity_list_collection').find('i').text('收藏');
				mui.toast('您已取消收藏');
				$('.pop_collection').text('收藏')
			}else{
				collected = true
				$('.activity_list_collection').find('span').addClass('comment_collection_icon');
				$('.activity_list_collection').find('i').text('已收藏')
				mui.toast('收藏成功');
				$('.pop_collection').text('取消收藏')
			}
		})
	}
	
	mui(document).on('tap', '.activity_list_collection', function() {
		Collection()
	})

	mui(document).on('tap', '.pop_collection', function() {
		Collection()
	})

	//电话
	mui(document).on('tap', '.activity_list_tel', function() {
		if(uid==user_id){
			mui.toast('这是你自己啊~')
		}else{
			plus.device.dial(tel, false);
		}
		
	})

	//报名
	mui(document).on('tap', '.activity_details_button', function() {
		
		if(uid==user_id){
			mui.toast('您自己创建的活动，系统以为您自动报名，您无法进行报名操作')
		}else{
			if(overtime){
				mui.toast('活动报名已结束')
			}else if(full){
				mui.toast('名额已满，期待您下次参与~')
			}else if(joined){
				plus.nativeUI.confirm("您是否确定不再参与此活动？", function(e) {
					if(e.index == 1) {
						sendAjax('Active/cencel',function(res){
							if(res.status==1){
								joined = false
								$('.activity_details_button').removeClass('activity_details_sign');
								$('.activity_details_button').text('立即报名')
								$('.activity_titile .mui-pull-right .activity_titile_num').html(res.ca_join_num)
								$('#join_user_id_'+user_id).remove();
								if($('.activity_enroll_list').length==0&&$('.activity_tab_on').text()=='报名记录'){
									$('.topic_comment_nothing').text('暂时无人报名~').show()
								}
								mui.toast('取消成功');
							}else if(res.status==3){
								overtime = true
								$('.activity_details_button').addClass('activity_details_sign')
								$('.activity_details_button').text('报名结束')
								mui.toast('活动报名已结束');
							}else{
								mui.toast(res.msg)
							}
						},'user_id='+user_id+'&id='+active_id)
					}
				}, "", ["取消", "确定"]);
			}else{
				plus.nativeUI.confirm("您是否确定报名此活动", function(e) {
					if(e.index == 1) {
						sendAjax('Active/join',function(res){
							if(res.status==1){
								joined = true
								$('.activity_details_button').addClass('activity_details_sign');
								$('.activity_details_button').text('已报名')
								$('.activity_titile .mui-pull-right .activity_titile_num').html(res.ca_join_num)
								var html = `<div class="comment_list_details activity_enroll_list" data-uid="`+user_id+`" id="join_user_id_`+user_id+`">
												<div class="topic_list_top">
													<div class="mui-pull-left topic_list_img"><img src="`+plus.storage.getItem('user_pic')+`"></div>
													<div class="mui-pull-right topic_list_details">
														<p class="topic_list_name">`+plus.storage.getItem('user_nikename')+`</p>
														<p><span class="topic_list_time">刚刚</span></p>
													</div>
												</div>
											</div>`
								$('.topic_comment_nothing').hide();
								$('.topic_comment_list').append(html)
								bind_join_user()
								mui.toast('报名成功');
							}else if(res.status==3){
								overtime = true
								$('.activity_details_button').addClass('activity_details_sign')
								$('.activity_details_button').text('报名结束')
							}else if(res.status==4){
								full = true
								$('.activity_details_button').addClass('activity_details_sign')
								$('.activity_titile .mui-pull-right .activity_titile_num').html(res.ca_join_num)
								$('.activity_details_button').text('名额已满')
							}else{
								mui.toast(res.msg)
							}
						},'user_id='+user_id+'&id='+active_id)
					}
				}, "", ["取消", "确定"]);
			}
		}
	})

	//省略弹窗
	mui(document).on('tap', '.topic_more', function() {
		$('.pop').fadeIn(120)
	})

	mui(document).on('tap', '.pop_cancel', function() {
		$('.pop').fadeOut(120);
	})

	//分享
	mui(document).on('tap', '.pop_share', function() {
		$('.share').fadeIn(120);
		$('.pop').hide()
	})

	mui(document).on('tap', '.share_close', function() {
		$('.share').fadeOut(120)
	})

	//关注
	function activityFllow() {
		
		follow(user_id,uid,followed,function(){
			if(followed){
				followed = false
				$('.topic_follow').removeClass('topic_choice_follow');
				$('.topic_follow').text('+关注');
				$('.pop_follow').text('关注')
			}else{
				followed = true
				$('.topic_follow').addClass('topic_choice_follow');
				$('.topic_follow').text('已关注');
				$('.pop_follow').text('取消关注')
			}
		})
	}

	mui(document).on('tap', '.topic_follow', function() {
		activityFllow()
	})

	mui(document).on('tap', '.pop_follow', function() {
		activityFllow()
	})

	//评论
	mui(document).on('tap', '.activity_list_comment', function() {
		openWindow('write.html',{circle_id:active_id,type:2})
	})
	//监听评论
	window.addEventListener('commen',function(event){
		var row = event.detail;
		var commen_html =  `<div class="activity_comment_list comment_list_details" data-uid="`+user_id+`" data-id="`+row.ct_id+`" id="comment_id_`+row.ct_id+`">
								<div class="topic_list_top">
									<div class="mui-pull-left topic_list_img"><img src="`+plus.storage.getItem('user_pic')+`"></div>
									<div class="mui-pull-right topic_list_details">
										<p class="topic_list_name">`+plus.storage.getItem('user_nikename')+`</p>
										<p><span class="topic_list_time">刚刚</span></p>
									</div>
								</div>
								<div class="topic_list_words">`+row.content+`</div>
							</div>`
		$('.topic_comment_nothing').hide();
		$('.comment_list').show();
		$('.activity_comment_num').text(parseInt($('.activity_comment_num').text())+1);
		$('.comment_list').prepend(commen_html)
		commentMore()
		var tag2 = $('.activity_comment_list .topic_list_img')//评论人头像
		var tag4 = document.getElementsByClassName('topic_list_words');//评论内容
		var tag6 = document.getElementsByClassName('activity_comment_list');//整条评论
		var tag8 = document.getElementsByClassName('topic_comment_more')//更多评论
		taglist(tag2,tag4,tag6,tag8)//评论事件
	})
	//底部查看更多评论
	function commentMore() {
		var lenComment = $('.activity_comment_list');
		var html = '<div class="topic_comment_more">查看更多评论<span class="comment_more_icon"></span></div>';
		if(lenComment.length > 3) {
			for(var i = 3; i < lenComment.length; i++) {
				$(lenComment[i]).remove();
			}
			if($('.topic_comment_more').length==0){
				$('.topic_comment_show').append(html);
			}
		} else {
			$('.topic_comment_show').remove('.topic_comment_more');
		}
	}
	
	//监听回复
	window.addEventListener('reply',function(event){
		var reply_row = event.detail
		var reply_html = ""
		if($('#comment_id_'+reply_row.ct_id+' .topic_comment_block').length==0){
			$('#comment_id_'+reply_row.ct_id).append('<div class="topic_comment_block"><div class="comment_block_details"></div></div>');
		}
		if(reply_row.reply_rid>0){
			reply_html = `<div class="comment_strip_message" data-id="`+reply_row.reply_id+`">
						<span class="comment_people_name" data-uid="`+user_id+`">`+plus.storage.getItem('user_nikename')+`</span>回复<span class="passive_people_name" data-uid="`+reply_row.reply_user_first+`">`+reply_row.reply_first_nike+`</span>:<span class="reply_message">`+reply_row.content+`</span>
					</div>`
		}else{
			reply_html = `<div class="comment_strip_message" data-id="`+reply_row.reply_id+`">
							<span class="comment_people_name" data-uid="`+user_id+`">`+plus.storage.getItem('user_nikename')+`</span>：<span class="reply_message">`+reply_row.content+`</span>
						</div>`
		}
		$('#comment_id_'+reply_row.ct_id+' .topic_comment_block .comment_block_details').prepend(reply_html)
		
		if($('#comment_id_'+reply_row.ct_id+' .comment_strip_message').length>2&&$('#comment_id_'+reply_row.ct_id+' .comment_people_more').length>0){
			$('#comment_id_'+reply_row.ct_id+' .comment_strip_message').eq(2).remove()
			$('#comment_id_'+reply_row.ct_id+' .comment_more_strip').text(parseInt($('#comment_id_'+reply_row.ct_id+' .comment_more_strip').text())+1)
		
		}else if($('#comment_id_'+reply_row.ct_id+' .comment_strip_message').length>2){
			
			$('#comment_id_'+reply_row.ct_id+' .comment_strip_message').eq(2).remove()
			$('#comment_id_'+reply_row.ct_id+' .comment_block_details').append('<div class="comment_people_more">查看剩余<span class="comment_more_strip">1</span>条评论</div>')
		}
		$('.activity_comment_num').text(parseInt($('.activity_comment_num').text())+1);
		var tag1 = document.getElementsByClassName('comment_people_name'); //评论回复人昵称
		var tag3 = document.getElementsByClassName('passive_people_name');//评论被回复人昵称
		var tag5 = document.getElementsByClassName('comment_people_more');//更多回复
		var tag7 = document.getElementsByClassName('comment_strip_message');//整条回复
		tagreplylist(tag1,tag3,tag5,tag7)//回复事件
	})
	
	//回复区冒泡事件
	function tagreplylist(ele1,ele3,ele5,ele7){
		for(var i = 0; i < ele1.length; i++) {//回复人昵称
			$(ele1[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				openWindow('my_userwebview.html',{uid:$(this).attr('data-uid')});
			});
		}
		for(var i = 0; i < ele3.length; i++) {//被回复人昵称
			$(ele3[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				openWindow('my_userwebview.html',{uid:$(this).attr('data-uid')});
			});
		}
		for(var i = 0; i < ele5.length; i++) {//更多回复
			$(ele5[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				openWindow('check_comment.html',{'ct_id':$(this).parents('.activity_comment_list').attr('data-id')});
			});
		}
		for(var i = 0; i < ele7.length; i++) {//每条回复
			$(ele7[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				openWindow('reply.html',{
					'type':2,
					'reply_rid':$(this).attr('data-id'),
					'ct_id':$(this).parents('.activity_comment_list').attr('data-id'),
					'user_id':$(this).find('.comment_people_name').attr('data-uid')
				});
			});
		}
		
	}
	//评论区冒泡点击
	function taglist(ele2,ele4,ele6,ele8) {
		
		for(var i = 0; i < ele2.length; i++) {//评论头像
			$(ele2[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				openWindow('my_userwebview.html',{uid:$(this).parents('.activity_comment_list').attr('data-uid')});
			});
		}
		
		for(var i = 0; i < ele4.length; i++) {//评论内容
			$(ele4[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				commen_id = $(this).parent('.activity_comment_list').attr('data-id');
				$('.comment').fadeIn(120)
			});
		}
		
		for(var i = 0; i < ele6.length; i++) {//整条评论
			$(ele6[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				openWindow('reply.html',{ct_id:$(this).attr('data-id'),type:2,reply_rid:''});
			});
		}
		
		for(var i = 0; i < ele8.length; i++) {//更多评论
			$(ele8[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				openWindow('comment_more.html',{circle_id:active_id,type:2})
			});
		}

	}

	//回复弹窗
	mui(document).on('tap', '.comment_click', function() {
		$('.comment').hide()
		openWindow('reply.html',{ct_id:commen_id,type:2,reply_rid:''});
	})

	mui(document).on('tap', '.pop_cancel', function() {
		if(uid==user_id){
			$('.comment').fadeOut(120)
		}else{
			$('.comment').hide()
		}
	})
	
	if(uid == user_id){
		//删除
		mui(document).on('tap', '.pop_close', function() {
			$('.pop').hide()
			plus.nativeUI.confirm("您是否确定删除此次活动？", function(e) {
				if(e.index == 1) {
					sendAjax('Active/delete',function(res){
						if(res.status==1){
							var my_activity = plus.webview.getWebviewById('my_activity.html');
							if(my_activity){
								mui.fire(my_activity, 'delete', {		
									active_id:active_id
								})
							}
							var activity_list = plus.webview.getWebviewById('activity_list.html');
							if(activity_list){
								mui.fire(activity_list, 'delete', {		
									active_id:active_id
								})
							}
							var collection = plus.webview.getWebviewById('collection.html');
							if(collection){
								mui.fire(collection, 'delete', {		
									active_id:active_id
								})
							}
							plus.webview.currentWebview().close()
						}else{
							console.log(res.msg)
						}
					},'user_id='+user_id+'&id='+active_id)
				}
			}, "", ["取消", "确定"]);
	
		})
	}else{
		//举报
		mui(document).on('tap', '.pop_report', function() {
			$('.pop').hide()
			if(reported){
				mui.toast('您已举报过')
			}else{
				plus.nativeUI.confirm("您确定举报该话题？", function(e) {
					if(e.index == 1) {
						report(user_id,active_id,1,function(){
							reported = true
							mui.toast('举报成功')
						})
					}
				}, "", ["取消", "确定"]);
			}
		})
	}
	
	function bind_join_user(){
		mui(document).on('tap','.activity_enroll_list .topic_list_img',function(){
			openWindow('my_userwebview.html',{uid:join_user_id})
		})
	}
})