mui.plusReady(function() {
	var page = 1;
	var city_id = plus.storage.getItem('city_id')
	mui.init({
	  swipeBack : true,
	  pullRefresh : {
	    container:'.rencai-main',//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
	    up : {
	      height:50,//可选.默认50.触发上拉加载拖动距离
	      auto:true,//可选,默认false.自动上拉加载一次
	      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
	      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
	      callback :function(){
	      	var obj = this;
	      	sendAjax('Active/index',function(res){
	      		var active_list = template('active_list',res)
	      		if(page > 1){
					$('#rencai-main').append(active_list);
				}else{
					$('#rencai-main').html(active_list);
				}
				if(res.have){
					obj.endPullupToRefresh(false);
				}else{
					obj.endPullupToRefresh(true);
				}
				len()
				page++;
	      	},'page='+page+'&city_id='+city_id)
	      } //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
	    }
	  }
	})
	function len() {
		$('.topic_main_list').each(function() {
			var len = $(this).find('.topic_details_words').text();
			var num = $(this).find('.topic_photo_list li').length;
			if(len.length >= 46) {
				$(this).find('.topic_details_words').text($(this).find('.topic_details_words').text().substr(0, 46) + '...')
			}
			if(num == 1) {
				$(this).find('.topic_photo_list li').css('width', 100 + '%');
			}else{		
				var width = $(this).find('.topic_photo_list li').width();
				$(this).find('.topic_photo_list li').height(width)
			}
		})
		
		mui(document).off('tap','.topic_main_list').on('tap','.topic_main_list',function(){
			var active_id = $(this).attr('data-id');
			var uid = $(this).attr('data-uid');
			openWindow('activity_details.html',{'active_id':active_id,'uid':uid})
		})
	}

	mui(document).on('tap','.my_activity',function(){
		openWindow('my_activity.html')
	})
	
	window.addEventListener('delete',function(event){
		var active_id = event.detail.active_id
		$('#active_id_'+active_id).remove();
	})

	
})