mui.plusReady(function() {
	var user_id = plus.storage.getItem('user_id');
	var Width = $('.release_update_img ul li').width();
	$('.release_update_img ul li').height(Width);

	mui(document).on('tap', '.activity_release_label span', function() {
		$(this).addClass('label_block_choice').siblings().removeClass('label_block_choice')
	})

	mui(document).on('tap', '.title_button', function() {
		var title = $('.activity_input_title').val();
		var aggregate = $('.activity_input_aggregate').val();
		var cityCode = $('#activity_input_city').val();
		var address = $('.activity_input_address').val();
		var start = $('.activity_input_start').parent().find('.ui-alert').text();
		var num = $('.activity_input_num').val();
		var car = $('.activity_release_car').find('.label_block_choice').length;
		var money = $('.activity_release_money').find('.label_block_choice').length;
		var tel = $('.activity_input_tel').val();
		var sign = $('.activity_input_sign').parent().find('.ui-alert').text();
		var Textarea = $('.activity_release_textarea').val();
		if(title == '') {
			mui.toast('请输入活动标题')
		}else if(cityCode == ''){
			mui.toast('请选择活动城市')
		} else if(aggregate == '') {
			mui.toast('请输入集合地址')
		} else if(address == '') {
			mui.toast('请输入活动地点')
		} else if(start == '') {
			mui.toast('请输入出发时间')
		} else if(num == '') {
			mui.toast('请输入活动人数')
		} else if(car == 0) {
			mui.toast('请选择是否有车')
		} else if(money == 0) {
			mui.toast('请选择是否收费')
		} else if(tel == '') {
			mui.toast('请输入手机号')
		} else if(tel.length != 11) {
			mui.toast('请输入正确的手机号')
		} else if(sign == '') {
			mui.toast('请输入截至日期')
		} else if(Textarea == '') {
			mui.toast('请写下您的活动计划')
		} else if($('.release_update_img ul li img').length==0){
			mui.toast('请上传图片')
		}else {
			car = $('.activity_release_car .label_block_choice').attr('data-type');
			money = $('.activity_release_money .label_block_choice').attr('data-type');
			var  ca_title_pic = $('.release_update_img ul li img:first-child').attr('save-path');
			var ca_pic = "";
			var ca_title_pic = '';
			$('.release_update_img ul li img').each(function(i){
				if(i==0){
					ca_pic = $(this).attr('save-path');
					ca_title_pic = $(this).attr('save-path');
				}else{
					ca_pic += ","+$(this).attr('save-path');
				}
			})
			sendAjax('Active/add',function(res){
				if(res.status==1){
					mui.toast('发布成功');
					var my_active = plus.webview.getWebviewById("my_activity.html");
					if(my_active){
						my_active.reload(true);
					}
					var active_list = plus.webview.getWebviewById("activity_list.html");
					if(active_list){
						active_list.reload(true);
					}
					mui.back();
				}else{
					console.log(res.msg)
				}
			},{ca_user_id:user_id,cd_title:title,cd_address:aggregate,ca_active_address:address,ca_out_time:start,ca_people:num,ca_have_car:car,ca_money:money,ca_tel:tel,ca_end_time:sign,ca_content:Textarea,cityCode:cityCode,ca_pic:ca_pic,ca_title_pic:ca_title_pic})
		}
	})

	mui(document).on('tap', '.release_back', function() {
		plus.nativeUI.confirm("您是否要放弃编辑相关内容？", function(e) {
			if(e.index == 1) {
				plus.webview.currentWebview().close()
			}
		}, "", ["取消", "确定"]);
	})
	
	mui(document).on('tap', '.release_close', function() {
		var Parent = $(this).parent();
		var close = $(this);
		plus.nativeUI.confirm("您确定删除此图片？", function(e) {
			if(e.index == 1) {
				Parent.remove();
				if($('.release_update_img ul li').length<=3){
					$('.release_add_img').parent('li').show();
				}
				//Parent.append('<div class="release_add_img"></div>');
			}
		}, "", ["取消", "确定"]);
	})
	
	mui(document).on("tap",'.release_add_img',function(){
		var Width1 = $('.release_update_img ul li').width();
		UploadImg('Kindergarten/upload',Width1,Width1,function(result,status){
			if($('.release_update_img ul li').length>=3){
				$('.release_add_img').parent('li').hide();
			}		
			$('.release_add_img').parent('li').before('<li><img save-path="'+result.pic.savename+'" src="'+result.pic.path+'" /><span class="release_close"></span></li>');
			var Width1 = $('.release_update_img ul li').width();
			$('.release_update_img ul li').height(Width1);
		});
	})
})