mui.plusReady(function() {
	var user_id = plus.storage.getItem('user_id')
	var self = plus.webview.currentWebview()
	var bid = self.bid
	var collected = false
	sendAjax('Business/business_detail',function(res){
		if(res.status==1){
			var business = res.business
			if(res.collected){
				collected = true
				$('.activity_list_collection').find('i').text('已收藏');
				$('.activity_list_collection').find('span').addClass('comment_collection_icon');
			}
			var banners = template('banners',business)
			$('.swiper-wrapper').html(banners)
			
			$('.business_details_title').html(business.detail_content)
			$('.business_details_price').html('¥'+business.price)
			$('.business_details_name').html(business.name)
			$('.business_details_address').append(business.address)
			$('.business_details_time').append('营业时间 '+business.business_hours)
			$('.business_details_word').html(business.description)
		}else{
			console.log(res.msg)
		}
	},"user_id="+user_id+"&id="+bid)
	//分享
	mui(document).on('tap', '.activity_list_comment', function() {
		$('.share').fadeIn(120);
	})

	mui(document).on('tap', '.share_close', function() {
		$('.share').fadeOut(120)
	})

	mui(document).on('tap', '.activity_list_collection', function() {
		
		collect(4,user_id,bid,collected,function(){
			if(collected){
				collected = false
				$('.activity_list_collection').find('i').text('收藏');
				$('.activity_list_collection').find('span').removeClass('comment_collection_icon');
			}else{
				collected = true
				$('.activity_list_collection').find('i').text('已收藏');
				$('.activity_list_collection').find('span').addClass('comment_collection_icon');
			}
		})
	})
	
	//联系商家
	mui(document).on('tap', '.activity_details_button', function() {
		var tel = $('.activity_details_button').attr('data-tel')
		if(tel!=""){	
			plus.device.dial(tel,false);
		}
	})
})