mui.plusReady(function(){
	
	var city_id = plus.storage.getItem('city_id');
	var city_name = plus.storage.getItem('city_name');
	
	function loadData(){
		sendAjax('Business/index',function(res){
			var banners = template('banners',res)
			$('.swiper-wrapper').html(banners)
			
			var business_cate = template('business_cate',res)
			$('.business_index_nav ul').html(business_cate)
			
			if(res.adv.img)
			$('.business_advertisement img').attr('src',res.adv.img)
			else
			$('.business_advertisement').remove()
			
			var recommends = template('recommends',res)
			$('.business_index_main ul').html(recommends)
			
			fun()
		},'city_id='+city_id)
	}
	
	loadData()
	
	function fun(){
		mui(document).off('tap','.business_index_nav li').on('tap','.business_index_nav li',function(){
			var title = $(this).find('p:last-child').text()
			var cate_id = $(this).attr('data-id')
			openWindow('business_list.html',{
				title : title,
				cate_id:cate_id,
				city_id:city_id
			})
		})
		
		mui(document).off('tap','.business_index_main li').on('tap','.business_index_main li',function(){
			var bid = $(this).attr('data-id')
			openWindow('business_details.html',{bid:bid})
		})
	}
	
	//1能不能吃2菜谱3带娃必备4备孕期5社区话题6城市
	mui(document).on('tap','.search_list_head',function(){
		openWindow('search_list.html',{
			type : 3,
			city_id:city_id
		})
	})
	
	mui(document).on('tap','.business_address_right',function(){
		openWindow('modify_city.html',{
			type : 2
		})
	})
	
	window.addEventListener('details', function(event) {
		var row = event.detail;
		$('.business_address').text(row.city)
		city_id = row.city_id
		loadData()
	})
})