var one = document.getElementById('heart_one');
var two = document.getElementById('heart_two');
var three = document.getElementById('heart_three');
var four = document.getElementById('heart_four');
var five = document.getElementById('heart_five')

function drawHeart(heart) {
	this.heart = heart;
	this.start = 0;
	this.end = Math.PI / 180;
}
drawHeart.prototype.drawMain = function() {
	if(this.heart.getContext) {
		var canvas = this.heart.getContext('2d');
		canvas.beginPath();
		canvas.translate(40, 40);
		canvas.moveTo(this.getX(this.start), this.getY(this.start));
		while(this.start <= (Math.PI * 2)) {
			this.start += this.end;
			var X = this.getX(this.start);
			var Y = this.getY(this.start);
			canvas.lineTo(X, Y)
		}
		canvas.fillStyle = '#ffc2d8';
		canvas.fill()
	}
}
drawHeart.prototype.getX = function(e) {
	return 8 * (4 * Math.pow(Math.sin(e), 3))
}
drawHeart.prototype.getY = function(e) {
	return -2 * (13 * Math.cos(e) - 5 * Math.cos(2 * e) - 2 * Math.cos(3 * e) - Math.cos(4 * e))
}

//实例化
//心1
var drawHeartone = new drawHeart(one);
drawHeartone.drawMain()
//心2
var drawHearttwo = new drawHeart(two);
drawHearttwo.getX = function(e) {
	return 6 * (4 * Math.pow(Math.sin(e), 3))
}
drawHearttwo.getY = function(e) {
	return -1.5 * (13 * Math.cos(e) - 5 * Math.cos(2 * e) - 2 * Math.cos(3 * e) - Math.cos(4 * e))
}
drawHearttwo.drawMain()
//心3
var drawHeartthree = new drawHeart(three);
drawHeartthree.getX = function(e) {
	return 6 * (4 * Math.pow(Math.sin(e), 3))
}
drawHeartthree.getY = function(e) {
	return -1.5 * (13 * Math.cos(e) - 5 * Math.cos(2 * e) - 2 * Math.cos(3 * e) - Math.cos(4 * e))
}
drawHeartthree.drawMain()
//心4
var drawHeartfour = new drawHeart(four);
drawHeartfour.getX = function(e) {
	return 4 * (4 * Math.pow(Math.sin(e), 3))
}
drawHeartfour.getY = function(e) {
	return -1.2 * (13 * Math.cos(e) - 5 * Math.cos(2 * e) - 2 * Math.cos(3 * e) - Math.cos(4 * e))
}
drawHeartfour.drawMain()
//心5
var drawHeartfive = new drawHeart(five);
drawHeartfive.getX = function(e) {
	return 4 * (4 * Math.pow(Math.sin(e), 3))
}
drawHeartfive.getY = function(e) {
	return -1.2 * (13 * Math.cos(e) - 5 * Math.cos(2 * e) - 2 * Math.cos(3 * e) - Math.cos(4 * e))
}
drawHeartfive.drawMain()