mui.plusReady(function() {
	var current = plus.webview.currentWebview();
	var diary_id = current.diary_id;
	var is_zan = false;
	sendAjax("article/detail", function(res) {
		if(res.code == 1) {
			$(".article_details_main h1").text(res.data.title);
			$(".article_details_main .notice_details_words").html(res.data.content);
			if(res.data.is_zan == 1) { //已点赞
				is_zan = 1;
				$('.topic_bottom_collection').find('span').addClass('people_nums_choice');
				$('.topic_bottom_collection').find('i').text('已点赞');
				$('.pop_collection').text('已点赞')
			}
			var index_webview = plus.webview.getWebviewById("index_webview.html");
			if(index_webview != null) {
				mui.fire(index_webview, "diary_view", {
					diary_id: diary_id
				});
			}
			var child_webview = plus.webview.getWebviewById("child_webview.html");
			if(child_webview != null) {
				mui.fire(child_webview, "diary_view", {
					diary_id: diary_id
				});
			}
			var app_diary = plus.webview.getWebviewById("app_diary.html");
			if(app_diary != null) {
				mui.fire(app_diary, "diary_view", {
					diary_id: diary_id
				});
			}
		}
		$(".loading").hide();
	}, "type=diary&id=" + diary_id)

	mui(document).on('tap',".pop_collection,.topic_bottom_collection", function() {
		help(diary_id, 5, function() {
			var num = 0;
			if(is_zan) { //取消赞
				is_zan = false;
				num = -1;
				$('.topic_bottom_collection').find('span').removeClass('people_nums_choice');
				$('.topic_bottom_collection').find('i').text('点赞');
				$('.pop_collection').text('点赞')
			} else { //点赞
				is_zan = true;
				num = 1;
				$('.topic_bottom_collection').find('span').addClass('people_nums_choice');
				$('.topic_bottom_collection').find('i').text('已点赞')
				$('.pop_collection').text('已点赞')
			}
			var index_webview = plus.webview.getWebviewById("index_webview.html");
			if(index_webview != null) {
				mui.fire(index_webview, "diary_zan", {
					num: num,
					diary_id: diary_id
				});
			}
			var child_webview = plus.webview.getWebviewById("child_webview.html");
			if(child_webview != null) {
				mui.fire(child_webview, "diary_zan", {
					num: num,
					diary_id: diary_id
				});
			}
			var app_diary = plus.webview.getWebviewById("app_diary.html");
			if(app_diary != null) {
				mui.fire(app_diary, "diary_zan", {
					num: num,
					diary_id: diary_id
				});
			}
		})
	})

	mui(document).on('tap','.topic_more',function(){
		$('.pop').show()
	})
	
	mui(document).on('tap','.pop_cancel',function(){
		$('.pop').hide()
	})
	
	
	//分享
	mui(document).on('tap','.topic_bottom_share,.pop_share',function(){
		$('.share').fadeIn(120);
		$('.pop').hide()
	})
	
	mui(document).on('tap','.share_close',function(){
		$('.share').fadeOut(120)
	})
});