mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	//菜品
	var foodTitle = self.title;
	var foodDetails = self.details;
	var foodPeople = self.people;
	var type = self.type;
	var eat = self.eat;
	var fid = self.fid;
	var user_id = plus.storage.getItem('user_id');
	var collected = false;
	var food;
	sendAjax('mmsp/detail',function(res){
		if(res.code==1){
			food = res.data;
			if(food.is_collection==1){
				collected = true;
				$('.topic_bottom_collection').find('i').text('已收藏');
				$('.pop_collection').text('取消收藏');
				$('.topic_bottom_collection').find('span').addClass('comment_collection_icon');
			}
			$('.mui-title').html(food.name)
			$('.food_details_message h2').text(food.name);
			$('.food_details_word').text(food.desc);
			$('.food_details_img img').attr('src',food.oss_img)
			$('.food_details_material').append(food.material)
			$('.food_step_list').append(food.operation_step)
			$('.food_details_people p').html(food.adaptive_crowd)
			$('.food_details_careful').append(food.attention)
			if(food.comment_count>0){
				$(".topic_bottom_comment").html('<span class="comment_discuss"></span>'+food.comment_count);
			}
		}
		$('.loading').hide();
	},'recipe_id='+fid)
	//省略弹窗
	mui(document).on('tap','.topic_more',function(){
		$('.pop').fadeIn(120)
	})
	
	mui(document).on('tap','.pop_cancel',function(){
		$('.pop').fadeOut(120)
	})
	
	//分享
	mui(document).on('tap','.topic_bottom_share,.pop_share',function(){
		$('.share').fadeIn(120);
		$('.pop').hide()
	})
	
	mui(document).on('tap','.share_close',function(){
		$('.share').fadeOut(120)
	})
	
	//评论
	mui(document).on('tap','.topic_bottom_comment,.pop_comment',function(){
		$('.pop').hide();
		openWindow('comment_more.html',{'circle_id':fid,type:"eat"})
	})
	
	//收藏
	var Collection = function(){
		collect("eat",fid,collected,function(){
			if(collected){
				collected = false;
				$('.topic_bottom_collection').find('i').text('收藏');
				$('.pop_collection').text('收藏');
				$('.topic_bottom_collection').find('span').removeClass('comment_collection_icon');
				var collection = plus.webview.getWebviewById("collection.html");
				if(collection!=null){
					mui.fire(collection,'food_collect_cencel',{
						"article_id":fid,
					});
				}
			}else{
				collected = true;
				$('.topic_bottom_collection').find('i').text('已收藏');
				$('.pop_collection').text('取消收藏');
				$('.topic_bottom_collection').find('span').addClass('comment_collection_icon');
				var collection = plus.webview.getWebviewById("collection.html");
				if(collection!=null){
					mui.fire(collection,'food_collect',{
						food:food,
					});
				}
			}
		})
	}
	
	mui(document).on('tap', '.topic_bottom_collection,.pop_collection', function() {
		Collection()
	})
})