$(function() {
	var arr = [{
		fs: 10,
		gk: 1,
		question: ['1+3=', '2+4=', '3+2='],
		answer: [4, 6, 5]
	}, {
		fs: 15,
		gk: 2,
		question: ['7+1=', '5+2=', '4+1='],
		answer: [8, 7, 5]
	}, {
		fs: 20,
		gk: 3,
		question: ['1+2=', '2+3=', '3+4='],
		answer: [3, 5, 7]
	}, {
		fs: 25,
		gk: 4,
		question: ['4+2=', '6+3=', '5+4='],
		answer: [6, 9, 9]
	}]

	var page = 0;
	var num = 0;
	var oldArr = [];
	oldArr = arr[page].answer.slice();

	//标题
	function title(event) {
		$('.game_algorithm_num').text('分数：' + arr[event].fs)
		$('.game_algorithm_customs').text('关卡' + arr[event].gk)
	}

	//问题
	function question(event) {
		for(var i = 0; i < $('.game_algorithm_block').length; i++) {
			var html = '<div class="game_algorithm_question">' + arr[event].question[i] + '</div><div class="game_algorithm_answer"></div>'
			$('.game_algorithm_block').eq(i).append(html)
		}
	}

	//答案
	function Answer(event) {
		var index = arr[event].answer.sort(function(){
			return 0.5 - Math.random()
		})

		for(var i = 0; i < index.length; i++) {
			$('.game_answer_bottom').append('<div class="answer_block">' + index[i] + '</div>')
		}
	}

	function aggregate() {
		title(page)
		question(page)
		Answer(page)

		$('.answer_block').click(function() {
			var htmlIndex = $(this).html();
			$(this).css('opacity', 0)
			if(num < $('.game_algorithm_answer').length) {
				for(var i = 0; i < $('.game_algorithm_answer').length; i++) {
					if($('.game_algorithm_answer').eq(i).html() == '') {
						$('.game_algorithm_answer').eq(i).html(htmlIndex);
						$('.game_algorithm_answer').eq(i).addClass('game_algorithm_word')
						num++
						break
					}
				}
			}
			pass()
		})

		function pass() {
			if(num == $('.game_algorithm_answer').length) {
				for(var i = 0; i < $('.game_algorithm_answer').length; i++) {
					if($('.game_algorithm_answer').eq(i).html() == oldArr[i]) {
						if(i == $('.game_algorithm_answer').length - 1) {
							$('.game_next_pop').fadeIn();
							if(page == arr.length - 1) {
								$('.game_pass_pop').show();
								$('game_next_pop').hide()
							}
						}
					} else {
						$('.game_algorithm_answer').eq(i).addClass('algorithm_error')
					}
				}
			}
		}

		$('.game_algorithm_answer').click(function() {
			var htmlIndex = $(this).html();
			$(this).html('');
			num--;
			for(var i = 0; i < $('.answer_block').length; i++) {
				if($('.answer_block').eq(i).html() == htmlIndex) {
					$('.answer_block').eq(i).css('opacity', 1);
					$(this).removeClass('game_algorithm_word algorithm_error')
				}
			}
		})

	}
	aggregate()

	$('.algorithm_next_button').click(function() {
		$('.game_next_pop').hide();
		$('.game_algorithm_block').empty();
		$('.game_answer_bottom').empty()
		page = page * 1 + 1;
		num = 0;
		oldArr = arr[page].answer.slice();
		aggregate();
	})

	$('.algorithm_start_button').click(function() {
		location.reload()
	})
})