var subpages = ['index_webview.html', 'children_webview.html', 'news_webview.html', 'user_webview.html'];
var subpage_style = {
	top: '0',
	bottom: '55px'
};
var aniShow = {};
// 退出
var first = null;
mui.back = function(){
	if(!first){
		first = new Date().getTime();
		plus.nativeUI.toast("再按一次退出应用");
		setTimeout(function() {
			first = null;
		}, 1000);
	}else{
		if(new Date().getTime() - first < 1000){
			plus.runtime.quit();
		}
	}
}

mui.plusReady(function() {

	var user_period = plus.storage.getItem('user_period');
	if(user_period == 1 || user_period == 2) {
		subpages[0] = 'index_webview.html';
		$('#tab_0').attr('href','index_webview.html');
	} else {
		subpages[0] = 'child_webview.html';
		$('#tab_0').attr('href','child_webview.html');
	}

	var self = plus.webview.currentWebview();
	var num = self.num;
	if(!num) {
		num = 0
	}

	for(var i = 0; i < subpages.length; i++) {
		var temp = {};
		var sub = plus.webview.getWebviewById(subpages[i]);
		if(sub != null) {
			sub.close();
		}

		sub = plus.webview.create(subpages[i], subpages[i], subpage_style);
		if(i != num) {
			sub.hide();
		} else {
			temp[subpages[i]] = 'true';
			mui.extend(aniShow, temp);
			$('.mui-bar-tab .mui-tab-item:eq(' + num + ')').find('.mui-icon').attr('class', $('.mui-bar-tab .mui-tab-item:eq(' + num + ')').find('.mui-icon').attr('class') + '_icon')
		}
		self.append(sub);
	}
	var activeTab = subpages[num];
	mui('.mui-bar-tab').on('tap', 'a', function() {
		var targetTab = $(this).attr('href');

		$('.mui-bar-tab a').each(function() {
			var cls = $(this).find('span:eq(0)').attr('class').replace('mui-icon', '').replace('_icon', '');
			$(this).find('span:eq(0)').attr('class', 'mui-icon' + cls)
			$(this).find('span:eq(1)').css('color','#999')
		});

		//未选中的class
		var cls = $(this).find('span:eq(0)').attr('class').replace('mui-icon', '');
		if(cls.indexOf('_icon') < 0) {
			$(this).find('span:eq(0)').attr('class', 'mui-icon' + cls + '_icon');	
			$(this).find('span:eq(1)').css('color','#ff537e')
		}
		
		
		
		if(targetTab == activeTab) return;

		plus.webview.show(targetTab);
		plus.webview.hide(activeTab);

		activeTab = targetTab;
	})
	
	var baseul = document.getElementById("tab_" + num);
	mui.trigger(baseul, 'tap');
	
	
	window.addEventListener('user_period',function(event){
		var row = event.detail;
		if(row.user_period<3) {
			subpages[0] = 'index_webview.html';
			$('#tab_0').attr('href','index_webview.html');
			var sub = plus.webview.getWebviewById("index_webview.html");
			if(sub != null) {
				sub.close();
			}
			var p = plus.webview.getWebviewById("child_webview.html");
			if(p!=null){
				p.close();
			}
			sub = plus.webview.create("index_webview.html", "index_webview.html", subpage_style);
			self['__view_array__'][0] = sub;
		} else {
			subpages[0] = 'child_webview.html';
			$('#tab_0').attr('href','child_webview.html');
			var sub = plus.webview.getWebviewById("child_webview.html");
			if(sub != null) {
				sub.close();
			}
			var p = plus.webview.getWebviewById("index_webview.html");
			if(p!=null){
				p.close();
			}
			sub = plus.webview.create("child_webview.html", "child_webview.html", subpage_style);
			self['__view_array__'][0] = sub;
		}
	})
	
	var updating = false;
	if(mui.os.android && !updating){
		updating = true;
		update();
	}

})