//var ip = 'http://192.168.1.133/';
var ip = 'http://api.yd21g.com/';

var pagesize = 10;

if(mui.os.ios){
     $('html,body').css('height','100%')
}

mui.plusReady(function(){
	var user_period = plus.storage.getItem('user_period');
	var user_id = plus.storage.getItem('user_id');
	if(user_id == null){
		var w = plus.webview.all();
		for(var i = 0;i < w.length;i++){
			var row = w[i];
			if(notCheckLogin(row.id) == true) plus.webview.getWebviewById(row.id).close();
		}
	}
	if(user_id != null){
		if(notCheckState(plus.webview.currentWebview().id) == true && user_period<1) openWindow('state.html');
	} 
});
function notCheckState(row){
	// 不需要验证状态的页面
	var arr = ['login.html','register.html','password.html','code.html','set_password.html','binding_tel.html','binding_password.html','state.html','child_details.html','child_message.html','ready.html'];
	var status = true
	for(var i = 0;i < arr.length;i++){
		if(arr[i] == row){
			status = false;
			break;
		}
	}
	return status;
}
function notCheckLogin(row){
	// 不需要验证登陆的页面
	var arr = [plus.runtime.appid,'login.html','register.html','password.html','code.html','set_password.html','binding_tel.html','binding_password.html'];
	var status = true;
	for(var i = 0;i < arr.length;i++){
		if(arr[i] == row) status = false;
	}
	return status;
}

/**
*	@description 数据请求函数
* 	@param {String} url 数据地址
* 	@param {Function} callback 回调函数
* 	@param {String} data 参数
*   @param {Boolean} is_loading 是否显示Loading
*/
function sendAjax(url,callback,data,is_loading){
	var url = ip + url;
	var data = data == undefined ? '' : data;
	var _memberId = plus.storage.getItem('member_id');
	var _token = plus.storage.getItem('token');
	if(is_loading == undefined) is_loading = true;
	mui.ajax({
		url : url,
		type : 'POST',
		crossDomain : true,
		data : data,
		dataType : 'json',
		headers:{'Content-Type':'application/x-www-form-urlencoded','API-MEMBER-ID':_memberId,'API-TOKEN':_token},
		beforeSend : function(){
			if(is_loading === true) plus.nativeUI.showWaiting('');
		},
		success : function(result){
			send = true;
			if(result.code==9999){
				plus.storage.clear();
				plus.storage.setItem('launchFlag','true');
				openWindow('login.html');
			}else{
				callback(result);
			}
			if(is_loading === true) plus.nativeUI.closeWaiting(); 
		},
		error : function(xhr,type,errorThrown){
			send = true;
			console.log("URL:"+url+",ERROR-MESSAGE:"+JSON.stringify(errorThrown));
			plus.nativeUI.closeWaiting();
		}
	});
}

function loadMore(url,opt,el,callback){
	var page = 0;
	var _memberId = plus.storage.getItem('member_id');
	var _token = plus.storage.getItem('token');
	$(el).dropload({
		scrollArea : window,
		domDown : {
            domClass   : 'dropload-down',
            domRefresh : '<div class="dropload-refresh">上拉加载更多</div>',
            domLoad    : '<div class="dropload-load"><span class="loading"></span>加载中</div>',
            domNoData  : '<div class="dropload-noData"></div>'
        },
		loadDownFn : function(me){
			page++;
			opt.page = 	page;
			mui.ajax({
				url : ip + url,
				type : 'POST',
				crossDomain : true,
				data:opt,
				dataType : 'json',
				headers:{'Content-Type':'application/x-www-form-urlencoded','API-MEMBER-ID':_memberId,'API-TOKEN':_token},
				success : function(result){
					if(result.code == 1){
						callback(result,me);
					}else if(result.code == 9999){
						plus.storage.clear();
						plus.storage.setItem('launchFlag','true');
						openWindow('login.html');
					}
					me.resetload();
				},
				error : function(xhr,type,errorThrown){
					me.lock();
         			me.noData();
					console.log("URL:"+ip+url+",ERROR-MESSAGE:"+JSON.stringify(errorThrown));
				}
			});
		}
	});
}

//获取地区
function getLocation(callback){
	var location = {};
	plus.geolocation.getCurrentPosition(function(res){
		location.province = res.address.province;
		location.city = res.address.city;
		location.district = res.address.district;
		location.error_code = 0;
		sendAjax('city/getCityId',function(result){
			if(result.code==1){
				plus.storage.setItem('city_id', result.data.city_id);
				location.city_id = result.data.city_id;
				if(typeof callback == 'function') callback(location)
			}else{
				console.log(result.msg)
			}
		},"name="+res.address.city,true)	
	},function(e){
		location.error_code = e.code;
		if(typeof callback == 'function') callback(location)
		console.log('Gelocation Error: code - ' + e.code + '; message - ' + e.message);
	},{provider:"amap"});
}

/**
*	@description 调试输出函数
* 	@param {Object} string 输出对象
*/
function log(string){
	var string = JSON.stringify(string);
	console.log(string);
}

function isLogin(){
	var user_id = plus.storage.getItem('user_id');
	if(user_id == null || user_id == ''){
		return false;
	}else{
		return true;
	}
}




/**
*	@description 图片压缩函数
* 	@param {String} path 图片路径
* 	@param {String} width 压缩后宽
* 	@param {String} height 压缩后高
* 	@param {Function} callback 回调函数
*/
function resizeImg(path,width,height,callback){	
	var file_name = path.substring(path.lastIndexOf('/')+1,path.length);  
	var options = {
		src : path,
		dst : 'zip/'+file_name,
		overwrite : true,
		height : height,
		width : width
	}
	plus.zip.compressImage(options,function(event){
		callback(event);
	},function(error){
		
		plus.nativeUI.alert('图片压缩失败！','','提示','确定');
	});
}

/**
*	@description 上传图片函数
* 	@param {String} url 上传服务端URL
* 	@param {String} width 压缩后宽
* 	@param {String} height 压缩后高
* 	@param {Function} callback 回调函数
*/
function UploadImg(width,height,callback){
	plus.gallery.pick(function(path){
    	plus.nativeUI.showWaiting('');
    	//resizeImg(e,width,height,function(event){
	    	var upload = plus.uploader.createUpload(ip + 'upload/mui',{
	    		method : 'POST',
	    		// timeout : 3000,
	    		retry : 4,
	    		retryInterval : 10,
	    		// blocksize : 10
	    	},function(result,status){
	    		callback(JSON.parse(result.responseText),path);
	    		plus.nativeUI.closeWaiting();
	    	});
	    	upload.addFile(path,{key : 'pic'});
	    	upload.addData('width',width.toString());
	    	upload.addData('height',height.toString());
	    	upload.addData('name','pic');
	    	upload.start();
    	//});
    },'',{
    	filter : 'image',
    	system : true,
    });
}
   
/**
*	@description 打开窗口
* 	@param {String} url 地址
* 	@param {JSObject} options 传递参数
*/
function openWindow(url,options){
	var data = {
		url : url,
		id : url,
		show : {
			aniShow : 'slide-in-right',
		}
	}
	
	var c_w = plus.webview.getWebviewById('child_webview.html');
	if(c_w != null) mui.fire(c_w,'stop');
	var i_w = plus.webview.getWebviewById('index_webview.html');
	if(i_w != null) mui.fire(i_w,'stop');
	
	if(options != undefined) data.extras = options;
	mui.openWindow(data);
}

//function login(username,password,return_html){
//	var info = plus.push.getClientInfo();
//	var data = 'username=' + username + '&password=' + password + '&client_id=' + info.clientid + '&token=' + info.token + '&os=' + plus.os.name;
//	sendAjax('index.php/Home/User/login',function(result){
//		if(result.status == 'success'){
//			plus.storage.setItem('user_id',result.user_id);
//			plus.storage.setItem('user_nikename',result.user_nikename);
//			plus.storage.setItem('user_pic',result.user_pic);
//			plus.storage.setItem('user_period',result.user_period);
//			plus.webview.getWebviewById('user_webview.html').reload();
//			plus.webview.getWebviewById('people_webview.html').reload();
//			if(return_html != null && return_html != '') plus.webview.getWebviewById(return_html).reload();
//			var page = plus.webview.currentWebview();
//			plus.webview.close(page);
//		}else{
//			plus.nativeUI.alert(result.msg,'','提示','确认');
//		}
//	},data);
//	
//	getLocation()
//}

function update(){
	plus.runtime.getProperty(plus.runtime.appid,function(result){
		var version = result.version
		var data = 'version=' + version;
		sendAjax('update/android',function(result){
			if(result.data.version != version){
				plus.nativeUI.confirm('您是否更新到最新版本？',function(event){
					if(event.index == 0){
						var msg = plus.nativeUI.showWaiting('系统更新中，请稍等！');
						var download = plus.downloader.createDownload(result.data.path,{filename : '_doc/update/'},function(result,status){
							if(status == 200){
								plus.runtime.install(result.filename,{},function(){
									plus.nativeUI.alert('更新完成',function(){
										plus.runtime.restart();
									},'提示','确定');
								});
							}
						});
						download.start();
						download.addEventListener('statechanged',function(task,status){
							switch(task.state){
								case 1:
                                	msg.setTitle('开始更新');
                                	break;
                                case 2:
                                	msg.setTitle('开始下载');
                                	break;
                                case 3:
                                	var current = parseInt(100 * task.downloadedSize/task.totalSize);
                                	msg.setTitle('已下载：' + current + '%');
                                	break;
                                case 4:
                                	msg.close();
                                	break;
							}
						});
					}
				},'系统升级',['立即更新','取消']);
			}
		});
    });
}
/**
 * 收藏
 * @param {Object} table 收藏类型：
 * @param {Object} collect_good_id 收藏对象id
 * @param {Object} collected  bool(true:取消收藏，false:收藏)
 * @param {Object} callback
 */
function collect(table,collect_good_id,collected,callback){
	var collect_url = "";
	if(collected){
		collect_url = "collection/del";
	}else{
		collect_url = "collection/add";
	}
	sendAjax(collect_url,function(res){
		if(res.code==1){
			typeof callback == 'function' && callback()
		}else{
			console.log(res.msg)
		}
	},'table='+table+'&article_id='+collect_good_id)
}
/**
 * 关注
 * @param {Object} follow_user //被关注人id
 * @param {Object} followed //bool(true:取消关注，false:关注)
 * @param {Object} callback
 */
function follow(follow_user,callback){
	sendAjax("interaction/guanzhu",function(res){
		if(res.code==1){
			typeof callback == 'function' && callback()
		}else{
			console.log(res.msg)
		}
	},'member_id='+follow_user)
}

/**
 * 举报
 * @param {Object} user_id 举报人
 * @param {Object} obj_id 举报目标id
 * @param {Object} type 举报类型1:同城活动2:会员3:话题
 * @param {Object} callback
 */
function report(user_id,obj_id,type,callback){
	sendAjax('Report/index',function(res){
		if(res.status==1){
			typeof callback == 'function' && callback()
		}else{
			console.log(res.msg)
		}
	},'user_id='+user_id+'&obj_id='+obj_id+'&type='+type)
}
/**
 * 点赞
 * @param {Object} foreign_key //赞的对象
 * @param {Object} type //赞的类型 3互动圈赞2评论赞
 * @param {Object} callback
 */
function help(foreign_key,type,callback){
	sendAjax('comment/zan',function(res){
		if(res.code==1){
			typeof callback == 'function' && callback()
		}else{
			console.log(res.msg)
		}
	},'foreign_key='+foreign_key+'&type='+type)
}
