mui.plusReady(function() {
	//标题
	var self = plus.webview.currentWebview();
	var titleHead = self.title;
	var song = self.song;
	var type = self.type;
	var img = self.img;
	var hotImg = self.hotImg;
	$('.mui-title').text(titleHead);
	$('.listen_pop_list h2').text(titleHead);
	$('.listen_details_bg img').attr('src', hotImg)
	if(type == 'song') {
		$('.mui-title').text(song);
		$('.listen_pop_list h2').text(song);
		$('.listen_details_bg img').attr('src', img)
	}

	var alid = self.alid
	var music = new Array();
	var logo = "";
	sendAjax('album/detail', function(res) {
		if(res.code == 1) {
			$('.mui-title').html(res.data.name)
			$('.listen_pop_list h2').text(res.data.name)
			$('.listen_details_bg img').attr('src', res.data.logo)
			$('.listen_head_img').attr('src', res.data.logo)
			logo = res.data.logo;
			$('.listen_head_right h2').text(res.data.desc)
			$('.listen_play_num').text(res.data.views)
			$('.listen_num_details').text(res.data.episodes + '集')
			fun()
			music = res.data.music;
			if(music.length > 0) {
				music_video()
			}
		}
	}, 'album_id=' + alid)

	function fun() {
		//截取图片
		var headImgW = $('.listen_head_left').width();
		$('.listen_head_left').height(headImgW);
		//cutImg()
		var bgImgH = $('.listen_details_head').height();
		var headImgH = $('.listen_head_main').height();
		$('.listen_head_main').css('top', (bgImgH - headImgH + 8) / 2)

		//截取文字
		var Text = $('.listen_head_right h2').text();
		if(Text.length > 25) {
			$('.listen_head_right h2').text($('.listen_head_right h2').text().substr(0, 25) + '...')
		}
	}

	function cutImg() {
		var bgImgW = $('.listen_details_bg img').width();
		var bgImgH = $('.listen_details_bg img').height();
		var smallImgW = $('.listen_head_left').width();
		var smallImgH = $('.listen_head_left').height();
		var scale = Math.max(smallImgW / bgImgW, smallImgH / bgImgH);
		var newImgW = bgImgW * scale;
		var newImgH = bgImgH * scale;
		$('.listen_head_left img').width(newImgW);
		$('.listen_head_left img').height(newImgH);
		$('.listen_head_left img').css('margin-left', '-50px')
	}

	function music_video() {
		//循环列表
		for(var i = 0; i < music.length; i++) {
			var Index = music[i];
			var html = '<li data-id="' + Index.album_music_id + '" id="music_' + Index.album_music_id + '"><div class="music_name">' + Index.name + '</div><div class="listen_today_bottom"><p><span class="listen_today_play"></span><span class="listen_play_num">' + Index.view + '</span></p><p><span class="listen_today_time"></span><span class="listen_time_long">' + Index.time + '</span></p></div></li>'
			$('.music_list_details ul').append(html)
		}

		//弹窗循环列表
		for(var i = 0; i < music.length; i++) {
			var Index = music[i];
			music[i].index = i + 1;
			var html = '<li data-id="' + Index.album_music_id + '"><span class="listen_pop_sort">' + music[i].index + '.</span><span class="listen_pop_name">' + Index.name + '</span></li>'
			$('.listen_pop_list ul').append(html)
		}

		//动画弹窗循环列表
		for(var i = 0; i < music.length; i++) {
			var Index = music[i];
			music[i].index = i + 1;
			var html = '<li data-id="' + Index.album_music_id + '">' + Index.name + '</li>'
			$('.animation_pop_list ul').append(html)
		}

		var audio = {
			'Audio': document.getElementById('Audio'),
			'list': document.getElementById('music_list_details'),
			'pop': document.getElementById('listen_pop_list'),
			'start': document.getElementById('time_start'),
			'end': document.getElementById('time_end'),
			'animation_start': document.getElementById('listen_animation_start'),
			'animation_end': document.getElementById('listen_animation_end'),
			'Icon': document.getElementById('listen_progress_icon'),
			'line': document.getElementById('listen_progress'),
			'animation_strip': document.getElementById('listen_progress_strip'),
			'strip': document.getElementById('listen_schedule_strip'),
			'way_list': document.getElementById('song_way_list'),
			'order': document.getElementById('song_order'),
			'order_Icon': document.getElementById('song_order_icon'),
			'animationPop': document.getElementById('animation_pop_list'),
			'pop_Icon': document.getElementById('animation_way_icon'),
			'playIndex': 0,
			'way_num': 0,
			'isplay': false,
			'Switch': false,
			//播放
			'playStart': function(step) {
				this.Audio.setAttribute('src', music[step].music_url);
				//$('.listen_name_img img').attr('src', music[step].img_url);
				$('.listen_name_img img').attr('src', logo);
				$('.listen_name_words').text(music[step].name);
				$('.listen_name_img').addClass('listen_play_music');
				$('.listen_music_bottom').show();
				$('.mui-content').css('margin-bottom', '60px');
				var that = this;
				that.Audio.play();
				that.isplay = true;
				setInterval(that.progressMusic, 1000);
				that.pitchClass(step);
				that.popMusic(step);
				that.animationPop(step);
				that.animationMusic(step);
				sendAjax('album/addMusicView', function(res) {
					if(res.code == 1) {
						$('#music_' + music[step].album_music_id).find('.listen_play_num').text((parseInt($('#music_' + music[step].album_music_id).find('.listen_play_num').text()) + 1));
					} else {
						console.log('修改播放次数失败')
					}
				}, 'album_music_id=' + music[step].album_music_id)
			},
			//自动循环播放
			'loopMusic': function() {
				var that = this;
				var wayStep = this.playIndex;
				var way_num = that.wayMusic();
				setInterval(this.progressMusic, 1000)
				this.Audio.addEventListener("ended", function() {
					clearInterval(this.progressMusic)
					switch(way_num) {
						//顺序播放
						case 0:
							if(that.playIndex >= music.length - 1) {
								that.playIndex = 0;
							} else {
								that.playIndex++
							}
							break;
							//随机播放
						case 1:
							randomMusic()
							break;
							//单曲循环
						case 2:
							that.playIndex = wayStep;
							break;
					}
					that.playStart(that.playIndex);
					that.pitchClass(that.playIndex);
					that.popMusic(that.playIndex);
					that.animationMusic(that.playIndex)
					
				})

				function randomMusic() {
					var step = Math.floor(Math.random() * music.length);
					while(step == wayStep) {
						step = Math.floor(Math.random() * music.length);
					}
					that.playIndex = step;
//					console.log(step)
//					console.log(wayStep)
					return step;
				}
			},
			//暂停 播放
			'controlMusic': function() {
				if(this.isplay) {
					this.Audio.pause();
					clearInterval(this.progressMusic);
					$('.listen_music_play').removeClass('listen_music_stop');
					$('.listen_name_img').removeClass('listen_play_music');
					$('.song_play').removeClass('song_stop');
					$('.listen_people_blouse').removeClass('listen_people_bg');
					$('.listen_people_blouse').addClass('listen_people_bg2')
				} else {
					this.Audio.play();
					setInterval(this.progressMusic, 1000);
					$('.listen_music_play').addClass('listen_music_stop');
					$('.listen_name_img').addClass('listen_play_music');
					$('.song_play').addClass('song_stop');
					$('.listen_people_blouse').addClass('listen_people_bg')
					$('.listen_people_blouse').removeClass('listen_people_bg2')
				}
				this.isplay = !this.isplay
			},
			//列表播放
			'listMusic': function() {
				var that = this;
				var olist = this.list.getElementsByTagName('li');
				setInterval(this.progressMusic, 1000);
				for(var i = 0; i < olist.length; i++) {
					olist[i].index = i;
					olist[i].onclick = function() {
						//此时this指向改变了 指向了li元素
						that.playIndex = this.index;
						that.playStart(that.playIndex);
						that.pitchClass(that.playIndex);
						that.popMusic(that.playIndex);
						that.animationMusic(that.playIndex);
						$('.listen_animation_main').fadeIn(120);
						that.isplay = false;
						that.controlMusic()
					}
				}
			},
			//进度条
			progressMusic: function() {
				audio.Audio.addEventListener("canplay", function() {
					var duration = parseInt(audio.Audio.duration);
					audio.end.innerHTML = audio.timeMusic(duration);
					audio.animation_end.innerHTML = audio.timeMusic(duration);
				});
				audio.start.innerHTML = audio.timeMusic(audio.Audio.currentTime);
				audio.animation_start.innerHTML = audio.timeMusic(audio.Audio.currentTime);
				var pro = audio.Audio.currentTime / audio.Audio.duration;
				audio.Icon.style.left = Math.floor(pro * document.body.clientWidth) + 'px';
				audio.line.style.width = Math.floor(pro * document.body.clientWidth) + 'px';
				audio.strip.style.width = Math.floor(pro * audio.animation_strip.clientWidth) + 'px';
			},
			//歌曲时间格式
			timeMusic: function(time) {
				time = parseInt(time);
				var minute = this.zeroMusic(Math.floor(time % 3600 / 60));
				var second = this.zeroMusic(Math.floor(time % 60));
				return minute + ':' + second
			},
			//去零
			zeroMusic: function(num) {
				if(num < 10) {
					return '0' + num
				} else {
					return num + ''
				}
			},
			//选中
			pitchClass: function(ele) {
				var oLi = this.list.getElementsByTagName('li');
				var With = oLi[ele].parentNode.childNodes;
				var Icon = document.createElement("span");
				Icon.setAttribute("class", "listen_trends_icon");
				for(var i = 0; i < With.length; i++) {
					With[i].className = '';
					$(With[i]).find('.listen_trends_icon').hide()
				}
				oLi[ele].setAttribute("class", "listen_pop_pitch");
				oLi[ele].appendChild(Icon)
			},
			//弹窗
			popMusic: function(event) {
				var that = this;
				var poplist = this.pop.getElementsByTagName('li');
				var popWith = poplist[event].parentNode.childNodes;
				var Icon = document.createElement("span");
				Icon.setAttribute("class", "listen_trends_icon");
				for(var i = 0; i < popWith.length; i++) {
					popWith[i].className = '';
					$(popWith[i]).find('.listen_trends_icon').hide()
				}
				poplist[event].setAttribute("class", "listen_pop_pitch");
				poplist[event].appendChild(Icon)
				for(var i = 0; i < poplist.length; i++) {
					poplist[i].index = i;
					poplist[i].onclick = function() {
						that.playIndex = this.index;
						that.playStart(that.playIndex);
						that.isplay = false;
						that.controlMusic()
					}
				}
			},
			//动画弹窗
			animationPop: function(index) {
				$('.animation_song_name').text(music[index].name);
				$('.animation_song_author').text('-' + music[index].author + '-')
			},
			//上一曲
			prevMusic: function() {
				if(this.playIndex <= 0) {
					this.playIndex = music.length - 1
				} else {
					this.playIndex = this.playIndex - 1
				}
				this.playStart(this.playIndex)
			},
			//下一曲
			nextMusic: function() {
				if(this.playIndex >= music.length) {
					this.playIndex = 0
				} else {
					this.playIndex = this.playIndex + 1
				}
				this.playStart(this.playIndex)
			},
			//点击播放方式
			wayClick: function() {
				var that = this;
				this.order_Icon.onclick = function() {
					if(that.Switch) {
						that.way_list.style.display = 'none'
					} else {
						that.way_list.style.display = 'block'
					}
					that.Switch != that.Switch
				}
			},
			//播放方式
			wayMusic: function() {
				var that = this;
				var child = that.way_list.children;
				that.pop_Icon.setAttribute('class', that.order_Icon.className)
				for(var i = 0; i < child.length; i++) {
					child[i].index = i;
					child[i].onclick = function() {
						var classIndex = this.className;
						that.order_Icon.setAttribute('class', classIndex);
						that.pop_Icon.setAttribute('class', classIndex);
						that.way_num = this.index;
						that.way_list.style.display = 'none';
						wayName()
					}
				}

				function wayName() {
					var Class = that.pop_Icon.className;
					if(Class.indexOf('song_way_order') > -1) {
						$('.animation_way_name').text('顺序播放')
					} else if(Class.indexOf('song_way_random') > -1) {
						$('.animation_way_name').text('随机播放')
					} else if(Class.indexOf('song_way_single') > -1) {
						$('.animation_way_name').text('单曲循环')
					} else {
						return ''
					}
				}
				return that.way_num
			},
			animationMusic: function(event) {
				var that = this;
				var poplist = document.getElementById("animation_pop_list").getElementsByTagName("li");
				var popWith = poplist[event].parentNode.childNodes;
				var Icon = document.createElement("span");
				Icon.setAttribute("class", "listen_trends_icon");
				for(var i = 0; i < popWith.length; i++) {
					popWith[i].className = '';
					$(popWith[i]).find('.listen_trends_icon').hide()
				}
				poplist[event].setAttribute("class", "listen_pop_pitch");
				poplist[event].appendChild(Icon)
				for(var i = 0; i < poplist.length; i++) {
					poplist[i].index = i;
					poplist[i].onclick = function() {
						that.playIndex = this.index;
						that.playStart(that.playIndex);
						that.isplay = false;
						that.controlMusic()
					}
				}
			}
		}

		//播放全部
		mui(document).on('tap', '.listen_music_all', function() {
			audio.playIndex = 0;
			audio.playStart(audio.playIndex);
			$('.listen_animation_main').fadeIn(120);
		})

		//列表播放
		mui(document).on('tap', '.listen_music_play', function(e) {
			e.stopPropagation();
			audio.controlMusic();
		})

		//弹窗列表
		mui(document).on('tap', '.listen_list_all', function(e) {
			e.stopPropagation();
			$('.listen_pop').fadeIn(120)
		})

		//弹窗取消
		mui(document).on('tap', '.listen_pop_close,.listen_pop_bg', function() {
			$('.listen_pop').fadeOut(120)
		})

		audio.listMusic();
		audio.loopMusic();
		audio.popMusic(audio.playIndex);
		audio.wayClick();
		audio.wayMusic();
		audio.animationMusic(audio.playIndex);

		//动画弹窗隐藏
		mui(document).on('tap', '.animation_close', function() {
			$('.listen_animation_main').fadeOut(120)
		})

		//动画弹窗显示
		mui(document).on('tap', '.listen_music_bottom', function() {
			$('.listen_animation_main').fadeIn(120);
			$('.mui-content').css('margin-bottom', '60px')
		})

		//动画弹窗暂停播放
		mui(document).on('tap', '.song_play', function() {
			audio.controlMusic()
		})

		//动画弹窗上一曲
		mui(document).on('tap', '.song_prev', function() {
			audio.prevMusic()
		})

		//动画弹窗下一曲
		mui(document).on('tap', '.song_next', function() {
			audio.nextMusic()
		})

		//动画弹窗显示
		mui(document).on('tap', '.song_all', function() {
			$('.listen_animation_pop').show()
		})

		//动画弹窗隐藏
		mui(document).on('tap', '.listen_animation_bg', function() {
			$('.listen_animation_pop').hide()
		})

	}
})