mui.plusReady(function(){
	var user_id = plus.storage.getItem('user_id')
	var minePage = 1;
	var joinPage = 1;
	
	var deceleration = mui.os.ios?0.003:0.0009;
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration:deceleration
	});
	
	mui('#my_active_list .mui-scroll').pullToRefresh({
		up : {
			auto:true,
			callback : function(){
				var obj1 = this;
				getData('mine',obj1);
			}
		}
	});
	mui('#my_join_list .mui-scroll').pullToRefresh({
		up : {
			auto:true,
			callback : function(){
				var obj2 = this;
				getData('my_join',obj2);
			}
		}
	});

	
    
    
	function getData(type,obj){
		var page;
		if(type=='mine'){
			page = minePage
		}else{
			page = joinPage
		}
		sendAjax('Active/index',function(res){
			var active_list = template('active_list',res)
			
			if(type=='mine'){
				if(page > 1){
					$('#my_active_list .mui-table-view').append(active_list);
					
				}else{
					$('#my_active_list .mui-table-view').html(active_list);
				}
				minePage++
			}else{
				if(page > 1){
					$('#my_join_list .mui-table-view').append(active_list);
				}else{
					$('#my_join_list .mui-table-view').html(active_list);
				}
				joinPage++
			}
			if(res.have){
				obj.endPullUpToRefresh(false)
			}else{
				obj.endPullUpToRefresh(true)
			}
			len()
		},'user_id='+user_id+'&type='+type+'&page='+page)
	}
	
	
	
	mui(document).on('tap', '.collection_head li', function() {
		var index = $('.collection_head li').index(this);
		$(this).addClass('collection_pitch').siblings().removeClass('collection_pitch');
		var Width = $(this).width();
		$('.collection_pitch_bg').stop(false, true).animate({
			'left': (index * Width) + 47 + 'px'
		}, 300)
		var showType = $(this).attr('type');
		if(showType=='mine'){
			$('#my_active_list').show()
			$('#my_join_list').hide()
		}else if(showType=='join'){
			$('#my_active_list').hide()
			$('#my_join_list').show()
		}
	})
	
	function len() {
		$('.topic_main_list').each(function() {
			var len = $(this).find('.topic_details_words').text();
			var num = $(this).find('.topic_photo_list li').length;
			if(len.length >= 46) {
				$(this).find('.topic_details_words').text($(this).find('.topic_details_words').text().substr(0, 46) + '...')
			}
			if(num == 1) {
				$(this).find('.topic_photo_list li').css('width', 100 + '%');
			}else{		
				var width = $(this).find('.topic_photo_list li').width();
				$(this).find('.topic_photo_list li').height(width)
			}
		})
		
		mui(document).off('tap','.my_active_item').on('tap','.my_active_item',function(){
			var active_id = $(this).attr('data-id')
			var uid = $(this).attr('data-uid')
			openWindow('activity_details.html',{active_id:active_id,uid:uid})
		})
	}
	
	mui(document).on('tap','.my_activity',function(){
		openWindow('activity_release.html')
	})
	
	window.addEventListener('delete',function(event){
		var active_id = event.detail.active_id
		$('#active_id_'+active_id).remove();
	})
})