mui.plusReady(function() {
	var user_id = plus.storage.getItem('user_id');
	var page = 1;
	mui.init({
	  swipeBack : true,
	  pullRefresh : {
	    container:'.mui-content',//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
	    up : {
	      height:50,//可选.默认50.触发上拉加载拖动距离
	      auto:true,//可选,默认false.自动上拉加载一次
	      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
	      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
	      callback :function(){
	      	var obj = this;
	      	sendAjax('Topic/index',function(res){
	      		var topic_list = template('list',res)
	      		if(res.count==0){
	      			$('.topic_nothing').show();
					$('.topic_main').hide();
					$('.mui-pull-bottom-pocket').remove();
	      		}
	      		if(page > 1){
					$('.topic_main').append(topic_list);
				}else{
					$('.topic_main').html(topic_list);
				}
				if(res.have){
					obj.endPullupToRefresh(false);
				}else{
					obj.endPullupToRefresh(true);
				}
				bind()
				page++;
	      	},'user_id='+user_id+"&type=mine"+"&page="+page,false)
	      } //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
	    }
	  }
	})
	
	function bind(){
		//关注
		mui(document).off('tap', '.topic_follow').on('tap','.topic_follow', function(e) {
			e.stopPropagation();
			var follow_user = $(this).parents('li').attr('data-uid')
			var followed = $(this).parents('li').attr('data-followed')
			var that = this
			follow(user_id,follow_user,followed,function(){
				if(followed){
					$(that).parents('li').attr('data-followed',"")
					$(that).removeClass('topic_choice_follow');
					$(that).text('+关注');
				}else{
					$(that).parents('li').attr('data-followed',true)
					$(that).addClass('topic_choice_follow');
					$(that).text('已关注');
				}
			})
		})
		//详情
		$('.topic_main_list').each(function() {
			var Text = $(this).find('.topic_details_words').text();
			if(Text.length >= 38) {
				$(this).find('.topic_details_words').text($(this).find('.topic_details_words').text().substr(0, 38) + '...')
			}
		})
	
		//图片比例
		var Width = $('.topic_photo_list ul li').width();
		$('.topic_photo_list ul li').height(Width);
		
		//详情页
		mui(document).off('tap', '.collection_topic_details').on('tap', '.collection_topic_details', function() {
			var topic_id = $(this).parent('li').attr('data-id')
			var uid = $(this).parent('li').attr('data-uid')
			openWindow('topic_details.html',{at_id:topic_id,uid:uid})
		})
	
		//分享
		mui(document).off('tap', '.topic_share').on('tap', '.topic_share', function(e) {
			e.stopPropagation();
			$('.share').fadeIn(120)
		})
		
		//评论
		mui(document).off('tap', '.topic_comment').on('tap', '.topic_comment', function(e) {
			e.stopPropagation();
			var topic_id = $(this).parents('li').attr('data-id')
			openWindow('comment_more.html',{type:3,circle_id:topic_id})
		})
	
		//点赞
		mui(document).off('tap', '.topic_praise').on('tap', '.topic_praise', function(e) {
			e.stopPropagation();
			var topic_id = $(this).parents('li').attr('data-id')
			var helped = $(this).parents('li').attr('data-helped')
			var Text = parseInt($(this).find('.praise_num').text()) ? parseInt($(this).find('.praise_num').text()) : 0;
			var that = this
			help(user_id,topic_id,3,helped,function(){
				if(helped){
					$(that).parents('li').attr('data-helped',"")
					$(that).find('span:first-child').removeClass('praise_choice_icon');
					if(Text <= 1){
						$(that).find('.praise_num').text('点赞')
					}else{
						$(that).find('.praise_num').text(Text -= 1)
					}
				}else{
					$(that).parents('li').attr('data-helped',true)
					$(that).find('span:first-child').addClass('praise_choice_icon');	
					$(that).find('.praise_num').text(Text += 1)
					
				}
			})
		})
	}
	
	//话题监听
	window.addEventListener('topic', function(event) {
		var row = event.detail;
		var imglist = row.arrImg;
		var html = `<li class="topic_id_`+row.id+`" data-id="`+row.id+`" data-uid = "`+user_id+`" data-followed = "false" data-helped = "false" style="margin-bottom: 15px;"><div class="collection_topic_details">
						<div class="topic_main_list">
							<div class="topic_list_top">
								<div class="mui-pull-left topic_list_img"><img src="`+plus.storage.getItem('user_pic')+`"></div>
								<div class="mui-pull-right topic_list_details">
									<p class="topic_list_name">`+plus.storage.getItem('user_nilename')+`</p>
									<p><span class="topic_list_time">刚刚</span></p>
								</div>
							</div>
							<div class="topic_details_words">` + row.val + `</div>
							<div class="topic_photo_list"><ul>`;
		for(var img in imglist) {
			html += '<li><img src="' + imglist[img] + '"></li>'
		}
		html += `</ul>
							</div>`;
		if(parseInt(row.type) == 4) {
			html += `<div class="topic_details_sundry">
								<div class="topic_sundry_location">
									<span class="location_icon"></span>
									<span class="location_province">`+ row.province +`</span>
									<span class="location_city">`+ row.city +`</span>
									<span class="location_area">`+ row.Area +`</span>
								</div>
								<span class="topic_sundry_state">` + row.choice + `</span>
								</div>`
		}
		html += `
							<div class="topic_list_bottom">
								<div class="topic_share"><span class="share_icon"></span><span>分享</span></div>
								<div class="topic_comment"><span class="comment_icon"></span><span class="user_comment_num">评论</span></div>
								<div class="topic_praise"><span class="praise_icon"></span><span class="praise_num">点赞</span></div>
							</div>
						</div>
					</div>`;

		$('.list_ul').prepend(html)
		bind()
	})
	
	window.addEventListener('help',function(e){
		var info = e.detail;
		if(info.helped){
			$('.topic_id_'+info.id).find('.topic_praise').find('.praise_icon').addClass('praise_choice_icon')
			$('.topic_id_'+info.id).find('.topic_praise').find('.praise_num').text(info.num)
		}else{
			$('.topic_id_'+info.id).find('.topic_praise').find('.praise_icon').removeClass('praise_choice_icon')
			if(info.num==0){
				info.num = '点赞'
			}
			$('.topic_id_'+info.id).find('.topic_praise').find('.praise_num').text(info.num)
		}
	})
	
	window.addEventListener('commen',function(event){
		var row = event.detail;
		if(row.ct_id){
			if($('.topic_id_'+row.topic_id).find(".user_comment_num").html()=="评论"){
				$('.topic_id_'+row.topic_id).find(".user_comment_num").html(1)
			}else{
			
				$('.topic_id_'+row.topic_id).find(".user_comment_num").html(parseInt($('.topic_id_'+row.topic_id).find(".user_comment_num").html())+1)
			}
		}
	})
})