mui.plusReady(function() {
	
	$('.topic_main_show,.topic_main').height(document.body.clientHeight - ($('.my_userWebview_top').height() + $('.my_userWebview_list').height()))
	
	var page=plus.webview.currentWebview();
	
	var user_id=plus.storage.getItem("user_id");
	
	var has_circle = true;
	
	var report = 0;
	
	var topicPage = activePage = circlePage = 1;
	
	var deceleration = mui.os.ios?0.003:0.0009;
	
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration:deceleration
	});
	
	if(page.uid==user_id){//自己
		$('.other').hide();
	}else{//他人
		$('.other').show();
		bind_follow();
	}
	
	sendAjax("member/center",function(res){
		if(res.code==1){
			$('.my_userWebview_img img').attr('src',res.data.headimg_url);
			$('.my_userWebview_right h1').text(res.data.nickname);
			if(res.data.signature!=''){
				$('.my_userWebview_details').text(res.data.signature);
			}
			$('.follow_num').text(res.data.concern);
			$('.fans_num').text(res.data.fans);
			if(page.uid!=user_id){
				if(res.data.is_guanzhu==1){
					$(".my_userWebview_follow").addClass('topic_choice_follow');
					$(".my_userWebview_follow").html("已关注");
				}
			}
			if(res.data.is_jubao==1){
				report = 1;
			}
		}
	},'member_id='+page.uid,false)
	
	var nothingHtml = '<div class="topic_nothing" style="display:block !important;"><div class="topic_nothing_img"></div><p>Ta暂时没有发布相关内容~</p></div>';
	
	mui('.my_Interaction_main').pullToRefresh({
		up: {
			auto: true, //可选,默认false.自动上拉加载一次
			callback: function() {
				var self = this
				sendAjax('interaction/meList', function(res) {
					if(res.code==1){
						if(res.data.length>0){
							var list = template('circle_list', res);
							$(".my_Interaction_main").find('.circle_ul').append(list);
							if(res.data.length<pagesize){
								self.endPullUpToRefresh(true);
							}else{
								self.endPullUpToRefresh(false);
							}
							circlePage++
							circleFun()
						}else{
							self.endPullUpToRefresh(true);
							if(circlePage==1){
								$(".my_Interaction_main").html(nothingHtml);
							}
						}
					}
				}, 'page=' + circlePage + "&member_id="+page.uid+'&pagesize='+pagesize)
			}
		}
	});
	
	function circleFun() {
		mui(document).off('tap', '.my_Interaction_main .topic_praise').on('tap', '.my_Interaction_main .topic_praise', function(e) {
			e.stopPropagation();
			var circle_id = $(this).parents('li').attr('data-id');
			var helped = false;
			if($(this).find('.praise_choice_icon').length>0){
				helped = true;
			}
			var Text = $(this).find('.praise_num').text();
			var that = this
			help(circle_id,3,function() {
				if(helped) {
					$(that).find('span:first-child').removeClass('praise_choice_icon');
					if((parseInt(Text) - 1)==0) {
						$(that).find('.praise_num').text('点赞');
					} else {
						$(that).find('.praise_num').text((parseInt(Text) - 1));
					}
				} else {
					$(that).find('span:first-child').addClass('praise_choice_icon');
					if(Text=='赞'){
						$(that).find('.praise_num').text(1);
					}else{
						$(that).find('.praise_num').text((parseInt(Text) + 1));
					}
				}
			})
		})

		var Width = $('.my_Interaction_main .topic_photo_list ul li').width();
		$('.my_Interaction_main .topic_photo_list ul li').height(Width);

		$('.my_Interaction_main .topic_main_list').each(function() {
			var Text = $(this).find('.topic_details_words').text();
			if(Text.length >= 35) {
				$(this).find('.topic_details_words').text($(this).find('.topic_details_words').text().substr(0, 35) + '...');
			}
		})

	
		mui(document).off('tap', '.my_Interaction_main .topic_main_list').on('tap', '.my_Interaction_main .topic_main_list', function() {
			var circle_id = $(this).parent('li').attr('data-id')
			var uid = $(this).parent('li').attr('data-uid')
			openWindow('Interaction_details.html',{
				uid:uid,
				circle_id:circle_id
			})
		})

		mui(document).off('tap', '.my_Interaction_main .topic_comment').on('tap', '.my_Interaction_main .topic_comment', function(e) {
			var circle_id = $(this).parents('li').attr('data-id')
			if(parseInt((this).find(".user_comment_num").text())>0){
				openWindow('comment_more.html', {
					type: "interaction",
					circle_id: circle_id
				})
			}else{
				openWindow('write.html',{
					circle_id:circle_id,
					type:"interaction"
				})
			}
		})

		mui(document).off('tap', '.my_Interaction_main .topic_share').on('tap', '.my_Interaction_main .topic_share', function(e) {
			e.stopPropagation();
			$('.share').fadeIn(120)
		})
	}
	
	function bind_follow(){
		mui(document).on('tap', '.my_userWebview_follow', function() {
			var Class = $(this).attr('class');
			var followed = false;
			if(Class.indexOf('topic_choice_follow') > -1) {
				followed = true;
			}
			var that = this;
			follow(page.uid,function(){
				if(followed){//取消关注
					$(that).removeClass('topic_choice_follow').text('+关注');
					$('.fans_num').text(parseInt($('.fans_num').text())-1);
				}else{//关注
					$(that).addClass('topic_choice_follow').text('已关注');
					$('.fans_num').text(parseInt($('.fans_num').text())+1);
				}
			})
		})
	}
	
	mui(document).on('tap', '.my_userWebview_information', function() {
		var Url = $(this).attr('data-url');
		openWindow(Url,{
			uid:page.uid
		})
	})
	
	mui(document).on('tap', '.topic_more', function() {
		$('.pop').fadeIn(100)
	})

	mui(document).on('tap', '.pop_cancel', function() {
		$('.pop').fadeOut(100)
	})
	
	mui(document).on('tap', '.share_close', function() {
		$('.share').fadeOut(100)
	})
	
	window.addEventListener('guanzhu_and_cencel', function(event) {
		
		var num = event.detail.num;
		if(page.uid==user_id){
			$('.follow_num').text(parseInt($('.follow_num').text())+num);
		}else{
			if(num>0){
				$(".my_userWebview_follow").addClass("topic_choice_follow")
				$(".my_userWebview_follow").html("已关注")
			}else{
				$(".my_userWebview_follow").removeClass("topic_choice_follow")
				$(".my_userWebview_follow").html("+关注")
			}
			$('.fans_num').text(parseInt($('.fans_num').text())+num);	
		}
	})
	
	window.addEventListener('help', function(event) {
		var info = event.detail;
		if(info.helped) {
			$('#circle_id_' + info.interaction_id).find('.topic_praise').find('.praise_icon').addClass('praise_choice_icon')
			$('#circle_id_' + info.interaction_id).find('.topic_praise').find('.praise_num').text(info.num)
		} else {
			$('#circle_id_' + info.interaction_id).find('.topic_praise').find('.praise_icon').removeClass('praise_choice_icon')
			if(info.num == 0) {
				info.num = '赞'
			}
			$('#circle_id_' + info.interaction_id).find('.topic_praise').find('.praise_num').text(info.num)
		}
	})
	
	window.addEventListener("interaction_commen",function(event){
		var row = event.detail;
		if($('.circle_id_'+row.Interaction_id).find(".user_comment_num").text() == "评论") {
			$('.circle_id_'+row.Interaction_id).find(".user_comment_num").text(1)
		} else {
			$('.circle_id_'+row.Interaction_id).find(".user_comment_num").text(1)
			$('.circle_id_'+row.Interaction_id).find(".user_comment_num").text(parseInt($('.circle_id_'+row.Interaction_id).find(".user_comment_num").text()) + 1)
		}
	})
	
	
	mui(document).on("tap",'.report',function(){
		if(report==1){
			mui.toast('已举报过');
		}else{
			sendAjax("report",function(res){
				if(res.code==1){
					report = 1;
					mui.toast('举报成功');
				}
			},'member_id='+page.uid)
		}
	})
	
	
////	sendAjax("Kindergarten/person_center",function(res){
////		
////		$(".user_nikename").html(res.list.user_nikename)
////		
////		$(".my_userWebview_right h1").html(res.list.user_nikename)
////		
////		$(".my_userWebview_follow").attr("data-uid",res.list.user_id)
////		
////		$(".my_userWebview_img img").attr('src',res.list.user_pic)
////		
////		if(user_id!=page.user_id){
////			if(res.list.guan==1){
////				$(".my_userWebview_follow").addClass('topic_choice_follow')
////				$(".my_userWebview_follow").html("已关注")
////			}
////		}
////		if(res.list.signname!=null && res.list.signname!=""){
////			$(".my_userWebview_details").html(res.list.signname)
////		}
////		$(".topic_num").html(res.list.user_tell_num)
////		$(".follow_num").html(res.list.user_follow_num)
////		$(".fans_num").html(res.list.user_follower_num)
////	
////		if(res.list.circle==1){
////			navigation(3);
////			loadTopics();
////			loadActives();
////			loadCircles();
////		}else{
////			navigation(2);
////			loadTopics();
////			loadActives();
////		}
////		
////	},'user_id='+user_id+"&user1_id="+page.uid,true)
//	
//	
//	function loadTopics(){
//		
//		mui('.my_topic_main').pullToRefresh({
//			up: {
//				auto: true, //可选,默认false.自动上拉加载一次
//				callback: function() {
//					var self = this
//					sendAjax('Topic/index', function(res) {
//						var list = template('topic_list', res);
//
//						$(".my_topic_main").find('.topic_ul').append(list);
//						
//						if(res.have) {
//							self.endPullUpToRefresh(false);
//						} else {
//							self.endPullUpToRefresh(true);
//						}
//						if(res.count==0){
//							$(".my_topic_main").html(nothingHtml)
//						}
//						topicPage++
//						topicFun()
//					}, 'page=' + topicPage + '&type=mine&user_id=' + page.uid+"&uid="+user_id)
//				}
//			}
//		});
//	}
//	function loadActives(){
//		mui('.my_activity_details').pullToRefresh({
//			up: {
//				auto: true, //可选,默认false.自动上拉加载一次
//				callback: function() {
//					var self = this
//					sendAjax('Active/index', function(res) {
//						var list = template('active_list', res);
//						$(".my_activity_details").find('.active_ul').append(list);
//						
//						if(res.have) {
//							self.endPullUpToRefresh(false);
//						} else {
//							self.endPullUpToRefresh(true);
//						}
//						if(res.count==0){
//							$(".my_activity_details").html(nothingHtml)
//						}
//						activePage++
//						activeFun();
//					}, 'page=' + activePage + '&type=mine&user_id=' + page.uid)
//				}
//			}
//		});
//	}
//	function loadCircles(){
//		mui('.my_Interaction_main').pullToRefresh({
//			up: {
//				auto: true, //可选,默认false.自动上拉加载一次
//				callback: function() {
//					var self = this
//					sendAjax('Person/circle_view', function(res) {
//						var list = template('circle_list', res);
//						$(".my_Interaction_main").find('.circle_ul').append(list);
//						
//						if(res.have) {
//							self.endPullUpToRefresh(false);
//						} else {
//							self.endPullUpToRefresh(true);
//						}
//						if(res.count==0){
//							$(".my_Interaction_main").html(nothingHtml)
//						}
//						circlePage++
//						circleFun()
//					}, 'page=' + circlePage + '&type=mine&user1_id=' + page.uid+"&user_id="+user_id)
//				}
//			}
//		});
//	}
//	
//	function bind_follow(){
//		mui(document).on('tap', '.my_userWebview_follow', function() {
//			var Class = $(this).attr('class');
//			var followed = true;
//			if(Class.indexOf('topic_choice_follow') > -1) {
//				followed = true;
//			} else {
//				followed = false;
//			}
//			var that = this;
//			follow(user_id,page.uid,followed,function(){})
//		})
//	}
//
//	mui(document).on('tap', '.my_userWebview_information', function() {
//		var Url = $(this).attr('data-url');
//		openWindow(Url,{
//			uid:page.uid
//		})
//	})
//	
//	function navigation(tab){
//		if(tab==3){
//			//$('.my_userWebview_tab').children().attr('class','userWebview_tab_head');
//			$('.collection_pitch_bg').before('<li data-type="circle">互动圈</li>')
//			
//			mui(document).on('tap', '.userWebview_tab_head li', function() {
//				alert(1)
//				var index = $('.userWebview_tab_head li').index(this);
//				$(this).addClass('userWebview_tab_on').siblings().removeClass('userWebview_tab_on');
//				var Width = $(this).width();
//				$('.collection_pitch_bg').stop(false, true).animate({
//					'left': (index * Width) + 60 + 'px'
//				}, 300);
//				$('.topic_main').hide()
//				$('.topic_main').eq(index).show()
//			})
//		}else{
//			alert(1)
//			$('.my_userWebview_tab').children().addClass('userWebview_tab_head_my');
//			mui(document).on('tap', '.userWebview_tab_head li', function() {
//				alert(1)
//				var index = $('.userWebview_tab_head li').index(this);
//				$(this).addClass('userWebview_tab_on').siblings().removeClass('userWebview_tab_on');
//				var Width = $(this).width();
//				$('.collection_pitch_bg').stop(false, true).animate({
//					'left': (index * Width) + 60 + 'px'
//				}, 300);
//				$('.topic_main').hide()
//				$('.topic_main').eq(index).show()
//			})
//		}
//	}
//
//	mui(document).on('tap', '.topic_more', function() {
//		$('.pop').fadeIn(100)
//	})
//
//	mui(document).on('tap', '.pop_cancel', function() {
//		$('.pop').fadeOut(100)
//	})
//	
//	mui(document).on('tap', '.share_close', function() {
//		$('.share').fadeOut(100)
//	})
//	
//	window.addEventListener('guanzhu_and_cencel', function(event) {
//		
//		var num = event.detail.num;
//		if(event.detail.user_id==user_id){//自己
//			$('.follow_num').text(parseInt($('.follow_num').text())+num);
//		}else{//他人
//			if(num>0){
//				$(".my_userWebview_follow").addClass("topic_choice_follow")
//				$(".my_userWebview_follow").html("已关注")
//			}else{
//				$(".my_userWebview_follow").removeClass("topic_choice_follow")
//				$(".my_userWebview_follow").html("+关注")
//			}
//			$('.fans_num').text(parseInt($('.fans_num').text())+num);
//		}
//	})
//	
//	
//	function topicFun() {
//		
//		mui(document).off('tap', '.my_topic_main .topic_praise').on('tap', '.my_topic_main .topic_praise', function(e) {
//			e.stopPropagation();
//			var topic_id = $(this).parents('li').attr('data-id')
//			var helped = $(this).parents('li').attr('data-helped')
//			var Text = parseInt($(this).find('.praise_num').text()) ? parseInt($(this).find('.praise_num').text()) : 0;
//			var that = this
//			help(user_id, topic_id, 3, helped, function() {
//				if(helped) {
//					$(that).parents('li').attr('data-helped', "")
//					$(that).find('span:first-child').removeClass('praise_choice_icon');
//					if(Text <= 1) {
//						$(that).find('.praise_num').text('点赞')
//					} else {
//						$(that).find('.praise_num').text(Text -= 1)
//					}
//				} else {
//					$(that).parents('li').attr('data-helped', true)
//					$(that).find('span:first-child').addClass('praise_choice_icon');
//					$(that).find('.praise_num').text(Text += 1)
//
//				}
//			})
//		})
//
//		var Width = $('.topic_photo_list ul li').width();
//		$('.topic_photo_list ul li').height(Width);
//
//		$('.my_topic_main .topic_main_list').each(function() {
//			var Text = $(this).find('.topic_details_words').text();
//			if(Text.length >= 35) {
//				$(this).find('.topic_details_words').text($(this).find('.topic_details_words').text().substr(0, 35) + '...');
//			}
//		})
//
//		//话题
//		mui(document).off('tap', '.my_topic_main .topic_main_list').on('tap', '.my_topic_main .topic_main_list', function() {
//			var topic_id = $(this).parent('li').attr('data-id')
//			var uid = $(this).parent('li').attr('data-uid')
//			openWindow('topic_details.html', {
//				at_id: topic_id,
//				uid: uid
//			})
//		})
//
//		mui(document).off('tap', '.my_topic_main .topic_comment').on('tap', '.my_topic_main .topic_comment', function(e) {
//			var topic_id = $(this).parents('li').attr('data-id')
//			if(parseInt((this).find(".user_comment_num").text())>0){
//				openWindow('comment_more.html', {
//					type: 3,
//					circle_id: topic_id
//				})
//			}else{
//				openWindow('write.html',{
//					circle_id:topic_id,
//					type:3
//				})
//			}
//		})
//
//		mui(document).off('tap', '.my_topic_main .topic_share').on('tap', '.my_topic_main .topic_share', function(e) {
//			e.stopPropagation();
//			$('.share').fadeIn(120)
//		})
//	}
//	
//	function activeFun() {
//		$('.my_activity_details .topic_main_list').each(function() {
//			var Text = $(this).find('.topic_details_words').text();
//			if(Text.length >= 45) {
//				$(this).find('.topic_details_words').text($(this).find('.topic_details_words').text().substr(0, 45) + '...');
//			}
//		})
//		var Width = $('.topic_photo_list ul li').width();
//		$('.topic_photo_list ul li').height(Width);
//		//活动
//		mui(document).off('tap', '.my_activity_details .topic_main_list').on('tap', '.my_activity_details .topic_main_list', function() {
//			var active_id = $(this).attr('data-id');
//			var uid = $(this).attr('data-uid');
//			openWindow('activity_details.html', {
//				'active_id': active_id,
//				'uid': uid
//			})
//		})
//	}
//	
//	function circleFun() {
//		mui(document).off('tap', '.my_Interaction_main .topic_praise').on('tap', '.my_Interaction_main .topic_praise', function(e) {
//			e.stopPropagation();
//			var circle_id = $(this).parents('li').attr('data-id')
//			var helped = $(this).parents('li').attr('data-helped')
//			var Text = parseInt($(this).find('.praise_num').text()) ? parseInt($(this).find('.praise_num').text()) : 0;
//			var that = this
//			help(user_id, circle_id, 1, helped, function() {
//				if(helped) {
//					$(that).parents('li').attr('data-helped', "")
//					$(that).find('span:first-child').removeClass('praise_choice_icon');
//					if(Text <= 1) {
//						$(that).find('.praise_num').text('点赞')
//					} else {
//						$(that).find('.praise_num').text(Text -= 1)
//					}
//				} else {
//					$(that).parents('li').attr('data-helped', true)
//					$(that).find('span:first-child').addClass('praise_choice_icon');
//					$(that).find('.praise_num').text(Text += 1)
//
//				}
//			})
//		})
//
//		var Width = $('.my_Interaction_main .topic_photo_list ul li').width();
//		$('.my_Interaction_main .topic_photo_list ul li').height(Width);
//
//		$('.my_Interaction_main .topic_main_list').each(function() {
//			var Text = $(this).find('.topic_details_words').text();
//			if(Text.length >= 35) {
//				$(this).find('.topic_details_words').text($(this).find('.topic_details_words').text().substr(0, 35) + '...');
//			}
//		})
//
//	
//		mui(document).off('tap', '.my_Interaction_main .topic_main_list').on('tap', '.my_Interaction_main .topic_main_list', function() {
//			var circle_id = $(this).parent('li').attr('data-id')
//			var uid = $(this).parent('li').attr('data-uid')
//			openWindow('Interaction_details.html',{
//				uid:uid,
//				circle_id:circle_id
//			})
//		})
//
//		mui(document).off('tap', '.my_Interaction_main .topic_comment').on('tap', '.my_Interaction_main .topic_comment', function(e) {
//			var circle_id = $(this).parents('li').attr('data-id')
//			if(parseInt((this).find(".user_comment_num").text())>0){
//				openWindow('comment_more.html', {
//					type: 4,
//					circle_id: circle_id
//				})
//			}else{
//				openWindow('write.html',{
//					circle_id:circle_id,
//					type:4
//				})
//			}
//		})
//
//		mui(document).off('tap', '.my_Interaction_main .topic_share').on('tap', '.my_Interaction_main .topic_share', function(e) {
//			e.stopPropagation();
//			$('.share').fadeIn(120)
//		})
//	}
//	
//	window.addEventListener("interaction_commen",function(event){
//		var row = event.detail;
//		if(row.ct_id) {
//
//			if($('.circle_id_'+row.circle_id).find(".user_comment_num").html() == "评论") {
//				
//				$('.circle_id_'+row.circle_id).find(".user_comment_num").html(1)
//			} else {
//
//				$('.circle_id_'+row.circle_id).find(".user_comment_num").html(parseInt($('.circle_id_'+row.circle_id).find(".user_comment_num").html()) + 1)
//			}
//		}
//	})
//	window.addEventListener("topic_commen",function(event){
//		var row = event.detail;
//		if(row.ct_id) {
//
//			if($('.topic_id_'+row.topic_id).find(".user_comment_num").html() == "评论") {
//				
//				$('.topic_id_'+row.topic_id).find(".user_comment_num").html(1)
//			} else {
//
//				$('.topic_id_'+row.topic_id).find(".user_comment_num").html(parseInt($('.topic_id_'+row.topic_id).find(".user_comment_num").html()) + 1)
//			}
//		}
//	})
	
})