mui.plusReady(function(){
	
	var address;
	
	getLocation(function(location){
		if(location.error_code==0){
			$('.kindergarten_location_city').html(location['province']);
			$(".kindergarten_location_area").html(location['city']);
			address = location;
			loadData(address['city_id']);
		}else{
			$(".kindergarten_location_city").text("请手动设置凯爸爸使用定位服务");
		}
	})
	
	mui(document).on('tap','.nearby_kindergarten_location',function(){
		openWindow('replace_city.html',{address:address})
	})
	
//	window.addEventListener('city',function(event){
//		var row = event.detail;
//		$('.kindergarten_location_city').text(row.cityMain)
//	})
	
	window.addEventListener('area',function(event){
		$('.nearby_kindergarten_list').html('<h1>幼儿园信息</h1>');
		var row = event.detail;
		$('.kindergarten_location_city').text(row.cityMain);
		$('.kindergarten_location_area').text(row.AreaMain);
		loadData(row.city_id);
	})
	
	
	function loadData(city_id){
		sendAjax('kindergarten/nearby',function(res){
			if(res.code==1){
				var home=template("home",res);
				$('.nearby_kindergarten_list h1').after(home);
				fun();
			}else{
				mui.toast(res.msg);
			}
		},"city_id="+city_id,true)
	}
	
	
	function fun(){
		mui(document).off('tap','.nearby_list_details').on('tap','.nearby_list_details',function(){
			openWindow('nearby_kindergarten_details.html',{
				kg_id:$(this).attr('val')
			})
		})
	}
})