window.onload = function(){
	var canvas = document.getElementById('canvas');
		context = canvas.getContext('2d'),
		contextX = canvas.width / 2,
		contextY = canvas.height / 2,
		rad = Math.PI * 2 / 100,
		speed = 0.1;
	//外侧圆	
	function whiteCircle(n){
		//保存Canvas的状态 可以调用Canvas的平移、放缩、旋转、错切、裁剪等操作。
		context.save();
		//描边样式
		context.strokeStyle = '#ff537e';
		//设置线宽
		context.lineWidth = 3;
		//路径开始
		context.beginPath();
		//用于绘制圆弧context.arc(x坐标，y坐标，半径，起始角度，终止角度，顺时针/逆时针)
		context.arc(contextX, contextY, 100, -Math.PI / 2, -Math.PI / 2 + n * rad, false);
		//绘制
		context.stroke();
		//路径结束
		context.closePath();
		context.restore();
	}
	//动态圆
	function pickCircle(){
		context.save();
		context.beginPath();
		context.strokeStyle = 'rgba(255,83,126,.2)';
		context.lineWidth = 3;
		context.arc(contextX,contextY,100,0,Math.PI*2,false);
		context.stroke();
		context.closePath();
		context.restore();
	}
	//进度大圆
	function big(n){
		context.save();
		context.beginPath();
		context.strokeStyle = 'rgba(255,83,126,.2)';
		context.lineWidth = 3;
		context.arc(Math.PI*2,Math.PI*2 + contextY,8,0,Math.PI*2,false); 
		context.stroke();
		context.closePath();
		context.restore();
	}
	
	
	(function drawFrame(){
		//类似setTimeout的原理 但是更节省cpu的开销
		window.requestAnimationFrame(drawFrame,canvas);
		//清除圆
		context.clearRect(0,0,canvas.width,canvas.height)
		whiteCircle(speed);
		pickCircle(speed);
		big(speed)
		if(speed > 100) speed = 0
		speed += 0.1
	}())
}
