mui.plusReady(function() {
	var page = 1;
	mui.init({
		swipeBack: true,
		pullRefresh: {
			container: '.mui-content',
			up: {
				height: 100,
				auto: true,
				contentrefresh: '正在加载中...',
				csontentnomore: '没有更多数据了...',
				callback: function() {
					var obj = this;
					var data = 'page=' + page;
					sendAjax('recommend', function(res) {
						if(res.code == 1) {
							if(res.data.length > 0) {
								var list = template('list', res);
								if(page > 1) {
									$('.mui-content ul').append(list);
								} else {
									$('.mui-content ul').html(list);
								}
								if(res.data.length<pagesize){
									obj.endPullupToRefresh(true);
								}else{
									obj.endPullupToRefresh(false);
								}
								load();
								page++;
							} else {
								obj.endPullupToRefresh(true);
							}
						}
					}, 'page=' + page+'&pagesize='+pagesize, false)
				}
			}
		}
	});

	function load() {

		$('.recommend_details_block').each(function() {
			var len = $(this).find('.recommend_details_left').text();
			if(len.length >= 33) {
				$(this).find('.recommend_details_left').text($(this).find('.recommend_details_left').text().substr(0, 33) + '...')
			}
		})

		$('.recommend_main_details').each(function() {
			var len = $(this).find('.recommend_details_words').text();
			if(len.length >= 41) {
				$(this).find('.recommend_details_words').text($(this).find('.recommend_details_words').text().substr(0, 41) + '...')
			}
		})

		mui(document).off('tap', '.recommend_details_top,.recommend_details_block').on('tap', '.recommend_details_top,.recommend_details_block', function() {
			var at_id = $(this).attr('data-id');
			openWindow('article_details.html', {
				'at_id': at_id,
				'type':'recommend'
			})
		})
	}
})