mui.plusReady(function() {
	var user_id = plus.storage.getItem('user_id');
	//用户名监听
	var self = plus.webview.currentWebview();
	var at_id = self.at_id;
	var uid = self.uid;
	var collected = false;
	var followed = false;
	var helped = false;
	var commen_id = 0;
	var reported = false;
	var type = 0;
	if(uid==user_id){
		$('.mine').show();
		$('.other').hide();
	}else{
		$('.mine').hide();
		$('.other').show();
	}
	
	sendAjax('Topic/detail',function(res){//获取话题正文详情
		if(res.status==1){//获取成功
			//发布人昵称
			$('.topic_details_main .topic_list_name').text(res.topic.user_nikename);
			//发布人头像
			var img = "img/img1.jpg";
			if(res.topic.user_pic){
				img = res.topic.user_pic;
			}
			$('.topic_details_main .topic_list_img img').attr('src',img);
			//绑定头像点击事件
			$('.topic_details_main .topic_list_img').on('tap',function(){
				openWindow('my_userwebview.html',{uid:uid});
			})
			$('.topic_details_main .topic_list_time').text(res.topic.time);//发布时间
			type = res.topic.type;
			//根据状态判断是否显示单价与地址
			if(res.topic.type==4){
				//根据状态判断是否显示单价与出售状态
				if(res.topic.classify==1){
					$('.topic_details_money').html('¥'+res.topic.price).show();
					$('.topic_sundry_state').html('出售');
				}else{//否则不显示单价显示交换
					$('.topic_details_money').hide();
					$('.topic_sundry_state').html('交换');
				}
				//显示省市区
				$('.location_province').html(res.topic.province);
				$('.location_city').html(res.topic.city);
				$('.location_area').html(res.topic.district);
			}else{
				//隐藏省市区及单价
				$('.topic_details_money').hide();
				$('.topic_details_sundry').hide();
			}
			//话题文字内容
			$('.topic_words_details').html(res.topic.content);
			//话题图片内容
			var detail_pic_list = template('detail_pic_list',res.topic);
			$('.topic_photo_list ul').html(detail_pic_list);
			//图片尺寸比例
			var Width = $('.topic_photo_list ul li').width();
			$('.topic_photo_list ul li').height(Width);
			//点赞数量
			$('.fabulous_nums').text(res.topic.help_num);
			//判断点赞状态
			if(res.helped){
				helped = true
				$('.fabulous_icon_img').addClass('fabulous_icon_choice');
			}
			//点赞用户头像列表
			var fabulous_people_head = template('fabulous_people_head',res);
			$('.topic_fabulous_more').before(fabulous_people_head);
			//动态调整头像尺寸大小并获取点赞数量
			praiselist();
			
			$('.comment_nums i').text(res.com)
			if(res.comcount>0){
				$('.topic_comment_show').show()
				$('.topic_comment_nothing').hide()
	      		var comment_list = template('comment_list',res)
				$('.comment_list').append(comment_list)
				if(res.comcount>3){
					$('.comment_list').append('<div class="topic_comment_more">查看更多评论<span class="comment_more_icon"></span></div>');
				}
			}else{
				$('.topic_comment_show').hide()
				$('.topic_comment_nothing').show()
			}
			
			if(res.collected){
				collected = true
				$('.topic_bottom_collection').find('span').addClass('comment_collection_icon')
				$('.topic_bottom_collection').find('i').text('已收藏')
				$('.pop_collection').text('取消收藏')
			}
			
			if(res.followed){
				followed = true
				$('.topic_follow').addClass('topic_choice_follow');
				$('.topic_follow').text('已关注');
				$('.pop_follow').text('取消关注')
			}
			
			reported = res.reported
			
			var tag1 = document.getElementsByClassName('comment_people_name'); //评论回复人昵称
			var tag2 = $('.activity_comment_list .topic_list_img')//评论人头像
			var tag3 = document.getElementsByClassName('passive_people_name');//评论被回复人昵称
			var tag4 = document.getElementsByClassName('topic_list_words');//评论内容
			var tag5 = document.getElementsByClassName('comment_people_more');//更多回复
			var tag6 = document.getElementsByClassName('activity_comment_list');//整条评论
			var tag7 = document.getElementsByClassName('comment_strip_message');//整条回复
			var tag8 = document.getElementsByClassName('topic_comment_more')//更多评论
			var tag9 = document.getElementsByClassName('people_nums_icon')//评论点赞
			taglist(tag2,tag4,tag6,tag8,tag9)//评论事件
			tagreplylist(tag1,tag3,tag5,tag7)//回复事件
		}
	},'user_id='+user_id+'&topic_id='+at_id+"&user1_id="+uid)
	

	//弹窗
	mui(document).on('tap', '.topic_more', function() {
		$('.pop').fadeIn(120)
	})

	mui(document).on('tap', '.pop_share,.topic_bottom_share', function() {
		$('.share').fadeIn(120);
		$('.pop').hide();
	})

	mui(document).on('tap', '.share_close', function() {
		$('.share').fadeOut(120);
		$('.pop').hide();
	})

	mui(document).on('tap', '.pop_cancel', function() {
		$('.pop').fadeOut(120);
		$('.comment').fadeOut(120)
	})
	
	
	//关注
	function activityFllow() {
		
		follow(user_id,uid,followed,function(){
			if(followed){
				followed = false
				$('.topic_follow').removeClass('topic_choice_follow');
				$('.topic_follow').text('+关注');
				$('.pop_follow').text('关注')
			}else{
				followed = true
				$('.topic_follow').addClass('topic_choice_follow');
				$('.topic_follow').text('已关注');
				$('.pop_follow').text('取消关注')
			}
			var community_webview = plus.webview.getWebviewById('community_webview.html');
			if(community_webview){
				mui.fire(community_webview, 'follow', {		
					id:at_id,
					followed:followed,
					type:type
				})
			}
		})
	}

	mui(document).on('tap', '.topic_follow', function() {
		activityFllow()
	})

	mui(document).on('tap', '.pop_follow', function() {
		activityFllow()
	})
	
	
	//点赞人头像处理
	function praiselist() {
		var Imgwidth = $('.fabulous_people_head').width();
		$('.fabulous_people_head').height(Imgwidth);

		var Morewidth = $('.topic_fabulous_more').width();
		$('.topic_fabulous_more').height(Morewidth);
		
		$('.topic_fabulous_more').hide()
		var People = $('.fabulous_people_head');
		if(People.length > 4) {
			for(var i = 4; i < People.length; i++) {
				$(People[i]).hide();
				$('.topic_fabulous_more').show();
			}
		}

	}
	//绑定点赞和取消点赞事件
	mui(document).on('tap', '.fabulous_icon', function() {
		var that = this
		help(user_id,at_id,3,helped,function(){
			if(helped){
				helped = false
				$(that).find('span').removeClass('fabulous_icon_choice');
				$('#help_id_'+user_id).remove();
				$('.fabulous_nums').text(parseInt($('.fabulous_nums').text())-1)
				praiselist()
			}else{
				helped = true
				var Peoplehtml = '<span class="fabulous_people_head" id="help_id_'+user_id+'" data-id="'+user_id+'"><img src="'+plus.storage.getItem('user_pic')+'"></span>';
				$(that).find('span').addClass('fabulous_icon_choice');
				$('.topic_fabulous_people').prepend(Peoplehtml)
				$('.fabulous_nums').text(parseInt($('.fabulous_nums').text())+1)
				praiselist()
			}
			var community_webview = plus.webview.getWebviewById('community_webview.html');
			if(community_webview){
				mui.fire(community_webview, 'help', {		
					id:at_id,
					helped:helped,
					num:parseInt($('.fabulous_nums').text())
				})
			}
		})
	})

	//跳转话题点赞列表
	mui(document).on('tap', '.topic_fabulous_more', function() {
		mui.openWindow({url:'praise.html',extras:{at_id:at_id,type:3}});
	})

	//收藏
	function myCollection() {
		
		collect(5,user_id,at_id,collected,function(){
			if(collected){
				collected = false
				$('.topic_bottom_collection').find('span').removeClass('comment_collection_icon');
				$('.topic_bottom_collection').find('i').text('收藏');
				mui.toast('您已取消收藏');
				$('.pop_collection').text('收藏')
			}else{
				collected = true
				$('.topic_bottom_collection').find('span').addClass('comment_collection_icon');
				$('.topic_bottom_collection').find('i').text('已收藏')
				mui.toast('收藏成功');
				$('.pop_collection').text('取消收藏')
			}
		})
		
	}

	mui(document).on('tap', '.topic_bottom_collection', function() {
		myCollection()
	})

	mui(document).on('tap', '.pop_collection', function() {
		myCollection()
	})

	//评论
	mui(document).on('tap', '.topic_bottom_comment', function() {
		openWindow('write.html',{circle_id:at_id,type:3})
	})
	//监听评论
	window.addEventListener('commen',function(event){
		var row = event.detail;
		var commen_html =  `<div class="activity_comment_list comment_list_details" data-uid="`+user_id+`" data-id="`+row.ct_id+`" id="comment_id_`+row.ct_id+`">
								<div class="topic_list_top">
									<div class="mui-pull-left topic_list_img"><img src="`+plus.storage.getItem('user_pic')+`"></div>
									<div class="mui-pull-right topic_list_details">
										<p class="topic_list_name">`+plus.storage.getItem('user_nikename')+`</p>
										<p><span class="topic_list_time">刚刚</span></p>
									</div>
									<div class="comment_people_nums">
										<span class="people_nums"></span>
										<span class="people_nums_icon" data-helped=""></span>
									</div>
								</div>
								<div class="topic_list_words">`+row.content+`</div>
							</div>`
		$('.topic_comment_nothing').hide();
		$('.comment_list').show();
		$('.comment_nums i').text(parseInt($('.comment_nums i').text())+1);
		$('.comment_list').prepend(commen_html)
		commentMore()
		var tag2 = $('.activity_comment_list .topic_list_img')//评论人头像
		var tag4 = document.getElementsByClassName('topic_list_words');//评论内容
		var tag6 = document.getElementsByClassName('activity_comment_list');//整条评论
		var tag8 = document.getElementsByClassName('topic_comment_more')//更多评论
		var tag9 = document.getElementsByClassName('people_nums_icon')//评论点赞
		taglist(tag2,tag4,tag6,tag8,tag9)//评论事件
	})
	//底部查看更多评论
	function commentMore() {
		var lenComment = $('.activity_comment_list');
		var html = '<div class="topic_comment_more">查看更多评论<span class="comment_more_icon"></span></div>';
		if(lenComment.length > 3) {
			for(var i = 3; i < lenComment.length; i++) {
				$(lenComment[i]).remove();
			}
			if($('.topic_comment_more').length==0){
				$('.topic_comment_show').append(html);
			}
		} else {
			$('.topic_comment_show').remove('.topic_comment_more');
		}
	}
	
	//监听回复
	window.addEventListener('reply',function(event){
		var reply_row = event.detail
		var reply_html = ""
		if($('#comment_id_'+reply_row.ct_id+' .topic_comment_block').length==0){
			$('#comment_id_'+reply_row.ct_id).append('<div class="topic_comment_block"><div class="comment_block_details"></div></div>');
		}
		if(reply_row.reply_rid>0){
			reply_html = `<div class="comment_strip_message" data-id="`+reply_row.reply_id+`">
						<span class="comment_people_name" data-uid="`+user_id+`">`+plus.storage.getItem('user_nikename')+`</span>回复<span class="passive_people_name" data-uid="`+reply_row.reply_user_first+`">`+reply_row.reply_first_nike+`</span>:<span class="reply_message">`+reply_row.content+`</span>
					</div>`
		}else{
			reply_html = `<div class="comment_strip_message" data-id="`+reply_row.reply_id+`">
							<span class="comment_people_name" data-uid="`+user_id+`">`+plus.storage.getItem('user_nikename')+`</span>：<span class="reply_message">`+reply_row.content+`</span>
						</div>`
		}
		$('#comment_id_'+reply_row.ct_id+' .topic_comment_block .comment_block_details').prepend(reply_html)
		
		if($('#comment_id_'+reply_row.ct_id+' .comment_strip_message').length>2&&$('#comment_id_'+reply_row.ct_id+' .comment_people_more').length>0){
			$('#comment_id_'+reply_row.ct_id+' .comment_strip_message').eq(2).remove()
			$('#comment_id_'+reply_row.ct_id+' .comment_more_strip').text(parseInt($('#comment_id_'+reply_row.ct_id+' .comment_more_strip').text())+1)
		
		}else if($('#comment_id_'+reply_row.ct_id+' .comment_strip_message').length>2){
			
			$('#comment_id_'+reply_row.ct_id+' .comment_strip_message').eq(2).remove()
			$('#comment_id_'+reply_row.ct_id+' .comment_block_details').append('<div class="comment_people_more">查看剩余<span class="comment_more_strip">1</span>条评论</div>')
		}
		$('.comment_nums i').text(parseInt($('.comment_nums i').text())+1);
		var tag1 = document.getElementsByClassName('comment_people_name'); //评论回复人昵称
		var tag3 = document.getElementsByClassName('passive_people_name');//评论被回复人昵称
		var tag5 = document.getElementsByClassName('comment_people_more');//更多回复
		var tag7 = document.getElementsByClassName('comment_strip_message');//整条回复
		tagreplylist(tag1,tag3,tag5,tag7)//回复事件
	})
	
	//回复区冒泡事件
	function tagreplylist(ele1,ele3,ele5,ele7){
		for(var i = 0; i < ele1.length; i++) {//回复人昵称
			$(ele1[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				openWindow('my_userwebview.html',{uid:$(this).attr('data-uid')});
			});
		}
		for(var i = 0; i < ele3.length; i++) {//被回复人昵称
			$(ele3[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				openWindow('my_userwebview.html',{uid:$(this).attr('data-uid')});
			});
		}
		for(var i = 0; i < ele5.length; i++) {//更多回复
			$(ele5[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				openWindow('check_comment.html',{'ct_id':$(this).parents('.activity_comment_list').attr('data-id')});
			});
		}
		for(var i = 0; i < ele7.length; i++) {//每条回复
			$(ele7[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				openWindow('reply.html',{
					'type':3,
					'reply_rid':$(this).attr('data-id'),
					'ct_id':$(this).parents('.activity_comment_list').attr('data-id'),
					'user_id':$(this).find('.comment_people_name').attr('data-uid')
				});
			});
		}
		
	}
	//评论区冒泡点击
	function taglist(ele2,ele4,ele6,ele8,ele9) {
		
		for(var i = 0; i < ele2.length; i++) {//评论头像
			$(ele2[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				openWindow('my_userwebview.html',{uid:$(this).parents('.activity_comment_list').attr('data-uid')});
			});
		}
		
		for(var i = 0; i < ele4.length; i++) {//评论内容
			$(ele4[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				commen_id = $(this).parent('.activity_comment_list').attr('data-id');
				$('.comment').fadeIn(120)
			});
		}
		
		for(var i = 0; i < ele6.length; i++) {//整条评论
			$(ele6[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				openWindow('reply.html',{ct_id:$(this).attr('data-id'),type:3,reply_rid:''});
			});
		}
		
		for(var i = 0; i < ele8.length; i++) {//更多评论
			$(ele8[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				openWindow('comment_more.html',{circle_id:at_id,type:3})
			});
		}
		
		for(var i = 0; i < ele9.length; i++) {//更多评论
			$(ele9[i]).off('tap').on('tap', function(e) {
				e.stopPropagation();
				var comment_id = $(this).parents('.comment_list_details').attr('data-id');
				var helpped = $(this).attr('data-helped');
				var num = $(this).parent().find('.people_nums').text();
				var numInt = parseInt(num) ? parseInt(num) : 0;
				var that = this
				help(user_id,comment_id,2,helpped,function(){
					if(helpped){
						$(that).removeClass('people_nums_choice');
						if(numInt-1>0){
							$(that).parent().find('.people_nums').text(numInt -= 1);
						}else{
							$(that).parent().find('.people_nums').text('');
						}
						$(that).attr('data-helped','');
					}else{
						$(that).addClass('people_nums_choice');
						$(that).parent().find('.people_nums').text(numInt += 1);
						$(that).attr('data-helped',true);
					}
				})
			});
		}

	}

	//回复弹窗
	mui(document).on('tap', '.comment_click', function() {
		$('.comment').hide()
		openWindow('reply.html',{ct_id:commen_id,type:3,reply_rid:''});
	})

	mui(document).on('tap', '.pop_cancel', function() {
		if(uid==user_id){
			$('.comment').fadeOut(120)
		}else{
			$('.comment').hide()
		}
	})
	
	if(uid == user_id){
		//删除
		mui(document).on('tap', '.pop_dele', function() {
			$('.pop').hide()
			plus.nativeUI.confirm("您是否确定删除此次活动？", function(e) {
				if(e.index == 1) {
					sendAjax('Topic/delete',function(res){
						if(res.status==1){
							var index = plus.webview.getWebviewById('index.html');
							if(index){
								mui.fire(index, 'topic_delete', {		
									at_id:at_id
								})
							}
							var activity_list = plus.webview.getWebviewById('activity_list.html');
							if(activity_list){
								mui.fire(activity_list, 'delete', {		
									at_id:at_id
								})
							}
							var collection = plus.webview.getWebviewById('collection.html');
							if(collection){
								mui.fire(collection, 'delete', {		
									at_id:at_id
								})
							}
							plus.webview.currentWebview().close()
						}else{
							console.log(res.msg)
						}
					},'user_id='+user_id+'&id='+at_id)
				}
			}, "", ["取消", "确定"]);
	
		})
	}else{
		//举报
		mui(document).on('tap', '.pop_report', function() {
			$('.pop').hide()
			if(reported){
				mui.toast('您已举报过')
			}else{
				plus.nativeUI.confirm("您确定举报该话题？", function(e) {
					if(e.index == 1) {
						report(user_id,at_id,3,function(){
							reported = true
							mui.toast('举报成功')
						})
					}
				}, "", ["取消", "确定"]);
			}
		})
	}
	
	window.addEventListener('commit_zan', function(event) {
		
		var row = event.detail;
		
		$('.comment_list_details').each(function(){
			if($(this).find('.people_nums_icon').attr('val')==row.ct_id){
				var Icon = $(this).find('.people_nums_icon').attr('class');
				var num = $(this).find('.people_nums').text();
				var numInt = parseInt(num);
				
				$(this).find('.people_nums_icon').addClass('people_nums_choice');
				if($(this).find('.people_nums').html()=="赞"){
				
				$(this).find('.people_nums').text(1);
				}else{
					$(this).find('.people_nums').text(numInt += 1);
				}
			}
		})
		
	})
})